bash-completion (2.11)

  [ Alexander Meshcheryakov ]
  * _known_hosts_real: check that ruptime is present before calling
    (#390)

  [ Andrew Gaul ]
  * totem: reuse kaffeine completions (#372)

  [ Damien Nadé ]
  * __reassemble_comp_words_by_ref: avoid triggering nounset on
    indirect references

  [ Felix Lechner ]
  * lintian: complete paths for Ubuntu's .ddeb and Debian's buildinfo
    files (#397)

  [ Felix Yan ]
  * ip: complete route add table arg
  * ip: style fixes similar to ip-netns
  * ip: add more completions for ip-rule
  * ip: add support for netns (#391)
  * ip: improve completion of route subcommands (#326)

  [ Hans-Christoph Steiner ]
  * unzip, zipinfo: complete *.aar (#428)

  [ Jakub Jelen ]
  * ssh: add new -Q completions in OpenSSH 8.2p1 (#400)

  [ Kevin Locke ]
  * python: support executables with minor version (#389)

  [ Michal Suchánek ]
  * insmod, modinfo, modprobe: support xz compressed modules (#401)

  [ Phan Duc Nhat Minh ]
  * tshark: complete -r arg with all filenames (#422)

  [ Sebastian Jakubiak ]
  * openssl: update -starttls completions (#403)
  * _filedir*: update link to bug-bash discussion on -X (#404)
  * test/python: add testcase for submodule completion

  [ Ville Skyttä ]
  * Release 2.11
  * extra/make-changelog: check and output usage message
  * pre-commit: anchor exclude patterns
  * pytest: rewrite in bash, support toplevel funcs, avoid nondef ones
    and classes
  * test/xfreerdp: skip --help failure cases
  * test/tshark: fix multiple -O completion with no http2 support
  * test/ant: avoid complete-ant-cmd.pl interference with ANT_ARGS
  * _xinetd_services: avoid nounset error on bash 4.2
  * pre-commit: upgrade isort to 5.1.4
  * pre-commit: upgrade pyupgrade to 2.7.2
  * pre-commit: add pyupgrade, run it
  * test/ant: gitignore all target cache files
  * _known_hosts_real: exclude Host negations
  * pre-commit: upgrade isort to 5.0.7
  * pre-commit: update shellcheck-py URL
  * test/inputrc: do not set print-completions-horizontally
  * test/inputrc: comment typo fix
  * pytest: complete async test class methods
  * __get_cword_at_cursor_by_ref: fix regression on bash 4.2
  * test: upgrade markdownlint-cli to 0.23.2
  * _known_hosts_real: avoid errors in nounset mode on Ubuntu 14 and
    16
  * _longopt: exclude too many dashes, allow underscores, require ends
    with alnum
  * _included_ssh_config_files: support globs
  * _known_hosts_real: prevent unwanted pathname expansion on host
    entries
  * test/shfmt: upgrade to 3.1.2, reformat with it
  * test/_known_hosts_real: add explicit no globbing test case
  * test: upgrade mypy to 0.782
  * CONTRIBUTING.md: add posix and nounset mode item
  * test: upgrade mypy to 0.781
  * test: upgrade perltidy to 20200619
  * _known_hosts_real: fix completion of Host entries after a wildcard
    etc
  * _known_hosts_real: fix # handling in ssh configs
  * test: upgrade flake8 to 3.8.3
  * test/xhost: multiple expected result handling fixes
  * test/slapt-src: single expected result handling fixes
  * test: partial hostname completion fixes
  * test: simplify completion parsing
  * test/dpkg-query: mark as xfail on non-Debian based systems
  * .gitignore: clean up some no longer needed ignores
  * test/lspci: skip -A arg test if lspci fails -A help, e.g. busybox
    lspci
  * test: regex escape our magic mark for completeness
  * test: upgrade mypy to 0.780
  * test/_known_hosts_real: don't modify class scoped base expected
    list
  * test/_known_hosts_real: reset COMP_KNOWN_HOSTS_WITH_HOSTFILE
    between tests
  * test/_known_hosts_real: tolerate duplicates
  * bash_completion: trivial cleanups
  * gcc: avoid errors in nounset mode
  * pytest: fix test class method completion with BSD awk
  * man, mutt: avoid errors in nounset mode on Ubuntu 14 and 16
  * java, make: avoid errors in nounset mode on Ubuntu 14 and 16
  * README: document GNU make build requirement
  * pytest: add test class method completion
  * _known_hosts: avoid errors in nounset mode and no arguments
  * bash_completion: fix array set checks with empty elements in them
  * *: avoid more errors in nounset mode
  * cfrun: fix $hostfile leak
  * _command_offset, route: cleanups
  * *: avoid more errors in nounset mode
  * qemu: add -machine arg completion
  * qemu, sbopkg: avoid unintentional globbing on option arg
    completions
  * test: enable shellcheck SC2035
  * *: drop support for bash 4.1
  * _init_completion: fix unassigned redirect completion in nounset
    mode
  * ip: route shfmt, arithmetic evaluation
  * _filedir: avoid unbound variable error on Ubuntu 14 and 16
  * _pids, _pgids, _pnames: improve shfmt formatting
  * scp, sftp, ssh: fix completion on options bundled with -4/-6
  * modprobe, tshark, _included_ssh_config_files: use [[ ]] instead of
    [ ]
  * test/runLint: warn about [ ] instead of [[ ]] use
  * test: skip various tests if we don't get a useful usage message
  * *: mark nounset mode as supported, issues with it are bugs now
  * *: avoid more errors in nounset mode
  * *: avoid more errors in nounset mode
  * *: avoid more errors in nounset mode
  * test/inputrc: comment and whitespace tweaks
  * *: avoid more errors in nounset mode
  * test/unit: sort files included in dist
  * test/unit: include test_unit_known_hosts_real.py in dist
  * bash_completion: line wrapping tweaks, NFC
  * 7z: fix -o/-w attached arg completion
  * postfix: try to arrange a fake tty so we can tickle the usage
    message out
  * _bashcomp_try_faketty: new function to try running command with a
    fake tty
  * mr: avoid herestrings, simplify command parsing
  * test/mr: handle missing "clean" with skipif
  * test: mark known non-ASCII issues with test suite as xfail
  * dpkg-deb: add --raw-extract and -X arg completions
  * test: add some dpkg-query test cases
  * dpkg-deb: fix --show/-W completion
  * test: upgrade markdownlint-cli to 0.23.1
  * *: use more arithmetic evaluation
  * test: try harder to restore environment and cwd on failures
  * *: use $ifs for storing/restoring $IFS
  * test/irb: xfail options test if --help is not available
  * test: upgrade flake8 to 3.8.1
  * test: pre-commit config cleanups, ordering
  * test: upgrade pre-commit to 2.4.0+, drop shfmt kludge
  * test: sync shfmt and shellcheck configs
  * test: shfmt bashrc
  * test: remove unused run-shellcheck, shellcheck is in pre-commit
    now
  * test: remove old test suite code no longer used \o/
  * test/_known_hosts_real: port remaining test cases to
    pytest+pexpect
  * test: remove more no longer needed old test suite code
  * test/_known_hosts_real: port more test cases to pytest+pexpect
  * test/_get_cword: port remaining test case to pytest+pexpect
  * test: replace some echos with printfs
  * test/_filedir: fix shutil.rmtree on Python < 3.6
  * test/_expand: port remaining test cases to pytest+pexpect
  * test: drop some no longer needed old test suite code
  * test/_filedir: port remaining test cases to pytest+pexpect
  * test: run all Travis jobs on dist: bionic
  * test: drop not needed sudo on Travis
  * test/_filedir: port more test cases to pytest+pexpect
  * test/__expand_tilde_by_ref: port remaining test cases to
    pytest+pexpect
  * test/_get_comp_words_by_ref: convert remaining test cases to
    pytest+pexpect
  * test: run pytest --verbose in docker
  * lftp: use "bookmark list" command to list bookmarks
  * test: drop some no longer needed old test suite code
  * test/slapt-src: convert remaining test case to pytest+pexpect
  * _xfunc: simplify
  * apt-cache: avoid nonzero exit code from _apt_cache_packages
  * test/slapt-get: convert remaining test case to pytest+pexpect
  * test/secret-tool: add to test command list
  * test/scp: port remaining test case to pytest+pexpect
  * test/umount: convert remaining test case to pytest+pexpect
  * secret-tool: new completion
  * apt-get: complete build-dep with dirs
  * travis: use golang 1.14 for shfmt
  * *: run all shell code through shfmt -s
  * pre-commit etc: add shfmt
  * test: fix incorrect fixtures/shared/default xfails/expectations
  * test: upgrade markdownlint to 0.23.0
  * nmap: simplify help scraping a bit, don't try to emit unnecessary
    newlines
  * test: prefix fake test commands with underscore
  * test: port most umount test cases to pytest+pexpect
  * test: add note about unescaped assert_complete single return
    values
  * editorconfig: apply yaml settings to .yaml too
  * pre-commit: use local perlcritic hook
  * *: doc and comment link updates
  * pre-commit, *.md: add markdownlint, address findings
  * README: clarify loading automatically on demand
  * ssh-keygen: -O arg updates and improvements
  * ssh-keygen: add -b arg completions according to specified -t
  * ssh-keygen: option and arg completion updates for new versions
  * _command: improve commentary
  * reportbug, scp, sftp, svn: use compgen -c instead of _command
  * find: fix -exec etc argument and its completion
  * extra: trigger docker builds only on test-cmd-list.txt changes
  * test: add script to maintain list of executables for full test
    coverage
  * test: run lint tests on Travis in a quickish separate first stage
  * test/make: mark more cases as requiring command
  * make: add bmake alias
  * test: run pre-commit on host instead of docker
  * test: add perlcritic to pre-commit, run on all perl
  * *: remove some unused variables, thanks to shellcheck SC2034
  * *: various loop iteration improvements
  * crontab: fix loop over already given args
  * apt-cache: fix command mode handling
  * doc: add loop variable naming guideline
  * test: make at-point completion tests easier
  * ssh, xsltproc: address shellcheck SC2006
  * scp: work around shellcheck SC1003
  * mutt: address shellchec SC2236
  * wget: address shellcheck SC2116
  * pytest: address shellcheck SC2002
  * bash_completion, java, tipc: for loop whitespace consistency
    tweaks
  * *: more arithmetic evaluation cleanups, thanks to shellcheck
    SC2004
  * __reassemble_comp_words_by_ref, java: address and work around
    shellcheck SC2102
  * test: enable parallel pre-commit shellcheck
  * test: remove shellcheck severity filter, add explicit disables
    instead
  * doc: recommend arithmetic evaluation
  * *: array subscript cleanups
  * ssh-keygen: -s and -n completion improvements
  * *: enable and address shellcheck SC2053
  * bash_completion, invoke-rc.d, svcadm: trivial cleanups
  * *: replace various conditional expressions with arithmetic
    evaluation
  * carton: fix command parsing with BSD sed
  * nmap: fix option parsing with BSD sed
  * test/alias: port remaining test case to pytest+pexpect
  * test: generalize complete at point test
  * test/cd: fix test_dir_at_point for setups that repeat "trailer"
  * pytest: add some option arg (non-)completions
  * pytest: complete test classes
  * pgrep, pkill: add --ns and --nslist arg completions
  * test: run skipif and xfail commands without caring if they output
    or not
  * test: make it possible to not care whether command did output or
    not
  * test/xfreerdp: skip xfreerdp kbd test if kbd-list returns empty
  * test: tolerate duplicates from compgen actions
  * test: bump shellcheck severity to warning + some disables
  * *: address shellcheck SC2046
  * test/lib/library.sh: address shellcheck SC2125
  * java, pkgadd, sysbench: address shellchec SC2124
  * scp: address shellcheck SC2089 and SC2090
  * _filedir_xspec: address shellcheck SC2140
  * rpm, ssh, umount.linux: address shellcheck SC2120
  * cvs, modprobe, sh: address shellcheck SC2209
  * mutt: address shellcheck SC2088
  * _upvar, _upvars, _variables, rpm: address shellcheck SC1083
  * test/run: address shellcheck SC2164
  * renice: address shellcheck SC2254
  * tipc: comment grammar and spelling fixes
  * man, perl, route, tipc: address shellcheck SC2053
  * info, java: address shellcheck SC2153
  * quote_readline: fix $ret leak
  * test: upgrade shellcheck to 0.7.1
  * test/printenv: xfail if --help doesn't contain options (e.g.
    busybox)
  * test/aptitude: require command where necessary
  * _known_hosts_real, op: address shellcheck SC2184
  * test: don't run shellcheck on completions/.gitignore
  * protoc: complete all --*_out without more specific handling with
    dirs
  * sysbench: add --test= deprecation TODO
  * pkgadd: indentation fix
  * chronyc, wvdial: address shellcheck SC2178
  * java, pkgadd, sysbench: address shellcheck SC2124
  * mplayer: address shellcheck SC1078 false positive
  * smartctl: hush shellcheck SC2054 false positives
  * *: address shellcheck SC2221 and SC2222
  * bash_completion: address shellcheck SC2220
  * crontab, wodim: silence shellcheck SC2191 and SC2192
  * aptitude: add some option arg (non)completions
  * aptitude: parse options list from --help, hardcode less
  * test/aptitude: add some test cases
  * *: argument interation improvements
  * *: whitespace tweaks
  * apt-get etc: use _apt_cache_packages from apt-cache
  * pre-commit: run most python checks on helpers/python too
  * test/ldd: xfail if --help is not implemented
  * test/printenv: require command for arg completion test
  * printenv: indentation fixes
  * test: upgrade mypy to 0.770
  * test: split dependencies requiring Python 3.6.1+ to requirements-
    dev.txt
  * git: trigger docker rebuild on pre-commit config change
  * test: require openssl command for option argument tests
  * test: move perltidy to pre-commit, run with --converge
  * test: move shellcheck to pre-commit
  * test: ignore flake8 messages that are in black's domain
  * _xinetd_services: look up from $BASHCOMP_XINETDDIR, add some unit
    tests
  * printenv: new completion
  * copyright: add 2020
  * test: fix CompletionResult.__eq__ UnboundLocalError
  * test: run pre-commit in tools container
  * test: shellcheck tweaks
  * test: add isort to pre-commit, run it
  * test: add flake8-bugbear
  * test: install black for Python 3.6 too
  * pre-commit: add config with black, flake8, and mypy
  * test: drop redundant black args from docker runs
  * *: python type hint fixes and improvements
  * extra/make-changelog: run through black
  * test/totem: add basic test case
  * test/cd: remove unused import
  * openssl: complete -writerand with filenames
  * openssl: parse available options from $command -help
  * openssl: support getting digest list from more recent openssl
    versions
  * nmap: handle options split on equals sign
  * nmap: parse options from -h output
  * test/cd: make dir_at_point produce better debuggable failures
  * test/cd: convert remaining test case to pytest+pexpect
  * test: remove some no longer needed old test suite code
  * test/chown,sudo: parametrize special case test, improve xfail
    targeting
  * test/tsig-keygen: require command for test_options
  * test/upgradepkg: port remaining test case to pytest+pexpect
  * tsig-keygen: new completion
  * test: host helper lint and usage fixes
  * test: port some _known_hosts_real unit tests to pytest+pexpect
  * test: remove some no longer needed tcl/expect code
  * test: fix spurious hosts fixture failure without avahi-browse
    installed
  * test: port some scp test cases to pytest+pexpect
  * test: port remaining finger, sftp, ssh, and xhost cases to
    pytest+pexpect
  * lilo: work around shellcheck false positive
  * test/ipcalc: fix tests with busybox ipcalc
  * chromium-browser, firefox: complete on *.txt (#379)
  * README.md: add introduction
  * ipcalc: new completion
  * *: complete commands when prefixed with a backslash
  * test/wol: don't fail MAC test if test system has /etc/ethers
    entries
  * test/dnssec-keygen: allow more alternatives in algorithm
    completion
  * lilo: don't complete on commented out labels
  * lilo: honor -C when completing labels
  * lilo: add -B and -E completions

  [ beantaxi ]
  * Source user completion only if it's a file (#409)

  [ hugoziviani ]
  * jarsigner: complete on *.apk too (#386)
  * cryptsetup: add luksChangeKey arg completion (#380)

 -- Ville Skyttä <ville.skytta@iki.fi>  Sat, 25 Jul 2020 11:25:09 +0300

bash-completion (2.10)

  [ Felix Lechner ]
  * perltidy: associate *.t (#338)

  [ Gabriel F. T. Gomes ]
  * perl: fix completion with space between option and argument

  [ Grisha Levit ]
  * _variables: add TERM and LC_* completion (#353)

  [ Iñigo Martínez ]
  * autotools: Replace pkgdatadir with datadir
  * pkg-config: Relative paths
  * pkg-config: generate Name from autotools PACKAGE

  [ Jakub Jelen ]
  * ssh: option and argument completion updates (#332)

  [ Michał Górny ]
  * test_arp: Skip if ARP tables are empty
  * test_chromium_browser: Skip test_2 if 'chromium-browser --help'
    fails
  * test_rpm2tgz: Fix expected output

  [ Sebastian ]
  * cppcheck: Add new standards to --std option. (#356)

  [ Tomasz N ]
  * apt-get: fix pkg version completion if it contains a colon (#351)

  [ Ville Skyttä ]
  * test: bump black to >=19.10b0
  * ssh, scp, sftp, ssh-copy-id, curl: improve identity file
    completion
  * update-rc.d: indentation fix
  * update-rc.d: remove dead code
  * screen: add serial device basic arg (non)completion
  * screen: add //telnet completion
  * test: add some trivial perl -E/-e cases
  * perl: indentation fixes
  * curl: make @filename completion do the right thing with dirs
  * _filedir: avoid duplicate dirs internally, and a compgen -d call
    for files
  * _filedir: remove unused $x
  * bash_completion.sh: shellcheck SC2086 fixes
  * test: shellcheck config cleanups
  * shellcheck: add some option arg (non)completions
  * test: fix cpio users test in presence of usernames with whitespace
  * test: python typing fixes
  * test: add minimal mypy config
  * .gitignore: mypy cache
  * makepkg: fix option completion
  * test: mark dcop and mr testcases requiring the cmd as such
  * CONTRIBUTING: disable e-mail bug gateway due to spam
  * carton: new completion
  * op: direct command parsing stderr to /dev/null
  * test: adjust java expectations based on whether jars can be listed
  * valgrind: look tool names from lib/*-linux-gnu dirs too
  * test: xfail locale-gen option completion if --help is not
    available
  * _sysvdirs: always return 0
  * java: don't assume jar is installed
  * travis: test with Debian 10
  * wine: install for wine-development and wine-stable too
  * travis: generate dist tarball on alpine
  * dmypy: new completion
  * test: add require_longopt xfail helper, use it
  * test: mark more tests that parse command output as requiring
    command
  * sysctl: invoke completed sysctl instead of one from path to get
    variables
  * screen, smartctl, update-alternatives: _parse_help, drop hardcoded
    option list
  * lintian-info: _parse_help, add more option arg (non)completions
  * gprof: _parse_usage, drop hardcoded option list
  * test: fix retrieving command to test from request
  * travis: pass NETWORK as env var, so we can actually use it
  * test: xfail MAC address completion without networking
  * test: ignore _makepkg_bootstrap in makepkg test env
  * test: hush flake8-bugbear B010
  * test: don't sort expected completion lists under the hood
  * test: add bunch of basic option parsing test cases
  * test: always run tests which don't require tested command
  * test: explodepkg and upgradepkg test fixes
  * test: mark sbcl-mt xfail due to whitespace split issues
  * _terms: search directly from various terminfo dirs
  * _terms: combine and simplify somewhat
  * pkg-get: fix $i leak
  * pkgutil: fix $i leak
  * test: portinstall/upgrade test case and setup fixes
  * lvm pv*, vg*: parse help instead of hardcoding option list
  * ipv6calc: parse help instead of hardcoding option list
  * test: avoid some sed -r/-E runLint false positives
  * test: use sh +* as ccache command test case
  * java: make jar/zip listing work with unzip
  * test: installpkg test fixes
  * test: fix acroread fixture dir
  * test: remove unnecessary returns after pytest.skip
  * test: avoid gnome-mplayer core dump on Ubuntu 14
  * xvfb-run: new completion
  * test: skip gssdp-discover --message-type when option not available
  * test: expect failures for bc without --help useful with _longopt
  * test: don't expect a .tox dir in fixture
  * test: drop sourcing our no longer existing profile.d script
  * tox: include -- in option completions
  * tox: complete defaults after a --
  * gssdp-discover: new completion
  * test: register our pytest markers to hush warnings from 4.5+
  * test: fix required pytest version
  * ip: invoke the tool as $1
  * README: drop distro badges, link to Repology instead
  * chromium-browser: add --proxy-server arg completion
  * test: source our profile.d test env script in docker
  * influx: new completion
  * README: badge title tweaks
  * tox: do simple parse on tox.ini if --listenvs* yields nothing
  * test: add basic tox fixture
  * man: fall back to _parse_usage for _parse_help
  * test_wsimport: xfail options test on unparseable -help
  * test: don't try to install black on Python < 3.6
  * pgrep: fix fallback to _parse_usage
  * test: xfail unparseable mock and munin-node-configure --help cases
  * test_pwdx: xfail more unparseable help cases
  * build: make pytest executable configurable, look for pytest-3 too
  * test: enforce minimum pytest version
  * test: zopflipng flake8 fix
  * test: xfail getent and pwdx option completions with unparseable
    --help
  * test: add more basic _parse_help use test cases
  * test: add bunch of basic _parse_help use test cases
  * .gitignore: add configure.lineno
  * badblocks: fix $i leak
  * postfix: option completion is expected to fail at the moment
  * cal: try _parse_help before _parse_usage
  * test: add bunch of basic _parse_usage use test cases
  * chsh, pwck: try _parse_help before _parse_usage
  * test: add basic autossh test
  * test: convert more _filedir unit tests to pytest+pexpect
  * test: flake8 fix
  * test: convert bunch of _filedir unit tests to pytest+pexpect
  * test: convert finger partial test case to pytest+pexpect
  * README: add some badges, tweak existing
  * test: port _variables unit tests to pytest+pexpect
  * test: port compgen and quote tests to pytest+pexpect
  * iconv, lz4, tipc, xsltproc: replace some seds with compgen -X
  * test: disallow Alpine failure on Travis
  * _pnames: adapt for busybox ps, rewrite in pure bash
  * test: run our docker script in test containers by default
  * test: use one Dockerfile for all dists
  * test_ifup: accept short option completions too
  * timeout: fallback to _parse_usage from _parse_help
  * test_wget: test --s instead of --h
  * test_lsusb: xfail with unparseable --help
  * test: expect failures for various completions without useful
    --help
  * test: support xfail in our markers like skipif, use it a lot
  * test: add Alpine Linux container, allow failures for now
  * iconv: weed out ... from encoding completions
  * test_iconv: add basic file completion test
  * test_iconv: skip option completion if --help fails
  * test_getconf: skip if -a doesn't output any POSIX_V*
  * test_feh, test_makepkg: invoke grep as "command grep"
  * test: generalize check whether we're being run in a container
  * tar: simplify locating tarball from command line
  * pkg_delete: don't limit to FreeBSD
  * test: reformat test_chromium_browser.py source
  * test: set up BASH_COMPLETION_COMPAT_DIR in bashrc (only)
  * test: more thorough system location interference avoidance
  * test: bashrc comment and whitespace tweaks
  * build: makefile whitespace tweaks
  * build: really reset return value before completions check
  * build: simplify symlink setup
  * tar: add missing bsdtar, gtar, and star symlinks
  * README: use light gray badges for unknown versions
  * README: link to cygwin package

  [ Wolf ]
  * ri: hush some warnings

  [ andreabravetti ]
  * unrar: complete on *.exe (#337)

  [ ezr ]
  * chromium-browser: Add support for .mhtml files

  [ jerkey ]
  * screen: complete first arg with serial devices

  [ marxin ]
  * gcc: support new --completion option (#222)

  [ pcc ]
  * unzip, zipinfo: complete *.aab (#340)

  [ versat ]
  * cppcheck: Remove deprecated option 'posix'  for '--std='

 -- Ville Skyttä <ville.skytta@iki.fi>  Thu, 05 Dec 2019 17:04:26 +0200

bash-completion (2.9)

  [ Antonio Terceiro ]
  * dpkg-source: Add --before-build --after-build --commit, and
    --print-format

  [ Gabriel F. T. Gomes ]
  * xm: Deprecate completion for obsolete command (#284)
  * _filedir_xspec: Fallback to suggesting all files if requested
    (#260)
  * tar: Support completions for zstd compression extensions (#255)
  * dpkg: List held packages (#250)
  * cvs: Add completion for the log command

  [ Guillaume Mella ]
  * unzip, zipinfo: Associate with *.xar (eXist-db application
    package) (#257)

  [ Igor Susman ]
  * mplayer: Associate with *.w64

  [ Jaak Ristioja ]
  * okular: Added support for xz-compressed files.

  [ John Swinbank ]
  * _xspecs: Declare as global on bash >= 4.2

  [ Kevin Locke ]
  * test: Increase expect pty to 160 columns
  * test: avoid interrupting magic mark output

  [ Per Lundberg ]
  * 7z: add .msi support

  [ Peter Wu ]
  * tshark: speed up tshark -O completion
  * tshark: fix completion of -Xlua_script option
  * tshark: Support preferences (-o) completion with memoization
  * test: fix misinterpretation of completion output in tests
  * test: fix flake8 complaints about unused imports
  * conftest: fix RemovedInPytest4Warning due to use of
    node.get_marker
  * chromium-browser: consider chrome and chromium as aliases
  * tshark: support .gz and .cap files for -r expansion
  * tshark: prevent a single-character file from breaking -G
    completion
  * tshark: update -T and -t completions

  [ Russell Davis ]
  * man: Fix completion when failglob option is enabled (#225)

  [ Timo Taipalus ]
  * mplayer: Add common supported module music formats

  [ Tomasz N ]
  * _longopt: pick first long option on a line, not last

  [ Ville Skyttä ]
  * *: avoid shellcheck SC1007 and SC1010
  * 7z: add some TODO notes on parsing "i" output for extensions
  * ssh: make -o protocol completion less hardcoded
  * ssh: make option completion case insensitive
  * ssh: fix suboption completion with combined -*o
  * xvnc4viewer: code cleanups
  * doc/testing: remove lots of legacy info, add some new
  * CONTRIBUTING: add upstream vs bash-completion considerations
  * CONTRIBUTING: note runLint and run-shellcheck
  * __parse_options, 7z: avoid herestrings
  * arp, ccze, ifstat, inotifywait, makepkg: invoke sed with "command"
  * shellcheck: disable bunch of warnings when in "-S warning" mode
  * test: move default shell option from run-shellcheck to
    .shellcheckrc
  * test: make runLint search for herestrings
  * tar, valgrind: avoid some herestrings
  * travis: run shellcheck on bash_completion.sh.in too
  * travis: fail on shellcheck errors
  * make: quote eval array definitions to work around shellcheck
    SC1036 bug
  * test: add make -C test case
  * *: shellcheck error fixes
  * _included_ssh_config_files: store found included files in an array
  * _included_ssh_config_files: doc grammar fixes
  * test: add invoke-rc.d test case for not repeating already given
    options
  * ebtables: improve existing table arg parsing
  * test: add script to run shellcheck, run it in Travis, allowing
    failure for now
  * iptables: improve existing table arg parsing
  * test: shorten long gdb test core file name so tar doesn't croak on
    it
  * AUTHORS: remove unrelated project association from my entry
  * apt-get: protect source against regex specials
  * mypy, mysql, xmms: don't complete unknown split long option args
  * synclient: remove unused local variable "split"
  * test: adjust _get_comp_words_by_ref test to changed error output
  * apt-cache: protect showsrc against regex specials
  * test: improve tshark -O arg completion test
  * tshark: ignore stderr when parsing -G, -L, and -h output
  * *: error output consistency, use bash_completion prefix
  * _upvar: deprecate in favor of _upvars
  * *: add missing "ex: filetype=sh"
  * phing: fix getting just a tab for options on CentOS 6
  * phing: don't complete -l with files
  * various: apply file vs dir special cases also when invoked with
    full path
  * *: whitespace tweaks
  * ssh: don't offer protocol v1 specific options if it's not
    supported
  * test: add some gdb non-core files
  * _parse_help: look for long options somewhat more eagerly
  * gdb: relax core filename pattern
  * test/tools: fix exit status incrementation
  * *: arithmetic expression related cleanups
  * test/tools: run all tools, don't stop at first failure
  * test: check for perltidy errors and warnings
  * *: format Perl code with perltidy
  * *: format Python code with black
  * .dir-locals.el: use flycheck-sh-bash-args
  * valgrind: look up tools from libexec dirs too
  * *: make _parse_usage fallbacks more concise
  * svn, svk, wget: use _iconv_charsets
  * *: spelling fixes
  * msynctool: code cleanups
  * *: remove whitespace after redirections
  * *: remove spaces immediately within $()
  * bzip2: recognize *.tbz2 as bzipped
  * modprobe: module parameter boolean values
  * ping, tracepath: parse options primarily with _parse_help
  * ulimit: new completion
  * shellcheck: new completion
  * dnssec-keygen: new completion
  * modprobe: append = to module parameter completions
  * test: include test_unit_longopt.py in dist
  * test: add some _longopt unit tests
  * _longopt: simplify regex, use printf instead of echo, drop
    unnecessary sort
  * nsupdate: new completion
  * _longopt: don't complete --no-* with file/dirname arg
  * copyright: add 2019
  * pytest: complete --pythonwarnings/-W arg
  * python: make warning action list reusable
  * test: use pytest-xdist
  * extra: add git pre-push hook for triggering Docker Hub builds
  * post-commit: trigger on test/requirements.txt too
  * pytest: complete pytest-xdist --dist, --numprocesses, and
    --rsyncdir
  * test: remove no longer needed completion/*.exp
  * xfreerdp: reinstate support for old versions with dash option
    syntax
  * test: rewrite "generate" in Python, fix trailing backslash in
    EXTRA_DIST
  * test: sort t/Makefile.am EXTRA_DIST in C locale
  * ssh: support RemoteCommand and SyslogFacility options
  * test: Expect failure for chown all users test as non-root
  * test: Fix declare test case with bash 5.0
  * adb: Deprecate in favor of one shipped with the Android SDK
  * xfreerdp: Update for more modern xfreerdp
  * jsonschema: New completion
  * test: Remove unnecessary ri xfail
  * test: Clean up man tmp dir
  * .gitignore: Add .python-version (for pyenv)
  * test: Remove unnecessary autouse=True from fixtures
  * ifstat: Make work with iproute2 version
  * iperf, iperf3: Add some option arg (non-)completions
  * test: Fix test generation wrt results checking improvements
  * ifstat: New completion
  * __parse_options: Avoid non-zero exit status
  * test: Refactor/improve completion results checking
  * test: Match Python's default locale unaware sort in bash setup
  * test: Rename completion.line to .output
  * test: Add man failglob test case
  * test: Add pre_cmds support for completion fixture
  * inotifywatch: New completion, common with inotifywait
  * inotifywait: Fix -e completion with BSD sed
  * inotifywait: Avoid some false positive event names
  * test: extend _ip_addresses unit tests some
  * _ip_addresses: Avoid completing ipv4 ones with -6
  * inotifywait: New completion
  * test: Mark some xfails based on if in docker instead of in CI
  * test: Skip ifup options test if it doesn't grok --help, not in CI
  * test: Clean up and docker-ignore __pycache__ dirs
  * build: Include test/t in dist tarball
  * test/t: Avoid trailing backslash in Makefile.am's to appease
    automake
  * test: Remove some no longer used old test suite code
  * _xspecs: Simplify bash version check
  * chmod: Fix "-" completion
  * sysctl: Treat -f as alias for -p/--load
  * .gitignore: Add pytestdebug.log
  * chmod: Fix file completion after modes starting with a dash
  * _count_args: Add 3rd arg for treating option-like things as args
  * test: Fix _count_args test_7 to test intended case
  * pydocstyle: New completion
  * Travis: Remove unused PYTEST env var
  * doc: Note email issues gateway
  * tcpdump: Various option and their arg completion updates
  * test: Fix arp CI (non)expectations, remove redundant test case
  * test: Be more consistent with "CI" env var examination and xfails
  * arp: New completion, somewhat incomplete
  * test: Expect failure in gkrellm if there's no X display
  * doc: Update docs on generating simple tests
  * doc: Some test dependency doc updates
  * test: Add requirements.txt for installing dependencies
  * grpck: Parse options with _parse_help, falling back to
    _parse_usage
  * grpck: Add --root/-R arg completion
  * test suite: Ignore _scp_path_esc in env for ssh-copy-id
  * ssh-copy-id: Add -i and -o arg (non-)completions
  * tar: Clean up some redundant code
  * cancel: Split long line
  * cancel: Add some option arg (non-)completions
  * locale-gen: New completion
  * makepkg: Don't apply to other than Slackware makepkg
  * test: Allow unknowns options in makepkg option completion
  * makepkg: Use _parse_help instead of hardcoding option list
  * mypy: New completion
  * op: New completion
  * hunspell: New completion
  * xmllint: Improve --encode, --pretty, and --xpath arg
    (non-)completions
  * test: Remove leftover completion/ls.exp
  * gcc: Add g++, gcc, gccgo, and gfortran *-[568] aliases
  * perlcritic: New completion
  * gnome-screenshot: New completion
  * isort: New completion
  * freeciv: Option and arg completion updates
  * freeciv-gtk2: Install for freeciv and freeciv-gtk3, rename to
    freeciv
  * mplayer etc: Complete on *.crdownload partial downloads in
    addition to *.part
  * chromium-browser, google-chrome*: New non-xspec completion
  * firefox etc: New non-xspec completion
  * Merge branch 'master' into wip-pexpect
  * nc: Add some more option (non-)completions
  * test: Mark MANPATH without leading/trailing colons test an xfail
    on CI CentOS 6
  * test: Remove kill, killall remnants
  * test: Make case specific env entries shell code, not escaped
  * Merge branch 'master' into wip-pexpect
  * unzip, zipinfo: Associate with *.whl
  * __load_completion: Avoid unnecessary lookups from nonexistent dirs
  * Merge branch 'master' into wip-pexpect
  * gcc: Add g++, gcc, gccgo, and gfortran *-7 aliases
  * test: Use test_unit_* prefix for unit tests, to avoid name clashes
  * test: Support setting cmd=None to require no command, for unit
    tests
  * test: Misc test suite fixes
  * test: Fix jq and scrub skipif commands
  * test: Don't require complete marker on test methods
  * test: Add support for per-test env modifications
  * test: Use more conventional Python file names for tests
  * test: Sort completion results in Python for ease of use in Python
    tests
  * test: Allow __load_completion to fail
  * test: chdir to fixtures dir in Python as well
  * test: Mark xfreerdp as expected failure for now
  * test: Replace + with Plus in test class names
  * test: Implement load_completion_for using assert_bash_exec
  * test: Add ability to selectively ignore diffs in environment
  * test: Fixture reorganization
  * test: Pass through $HOME and $DISPLAY to test bash
  * test: Log pexpect interaction to $BASHCOMP_TEST_LOGFILE if set
  * test: Rename BASHCOMP_* test env variables to BASHCOMP_TEST_*
  * test: Add python3 test case
  * test: Add class level skipif based on bash exec result
  * test: Include command name in test class name, use numbered test
    method names
  * test: Fix some regressions introduced in recent test conversions
  * test: Add support for running test case in a specified dir
  * test: Add support for skipping individual tests based on shell
    command status
  * test: Make test base work with Python 3.3+
  * test: Add some iperf, iperf3 and xmodmap test cases
  * xmodmap: Use _parse_help instead of hardcoded option list
  * iperf: Improve client/server specific option parsing
  * iperf: Install for iperf3 too
  * iperf: Add g/G to --format completions
  * xmodmap: Use _parse_help instead of hardcoded option list
  * iperf: Improve client/server specific option parsing
  * iperf: Install for iperf3 too
  * iperf: Add g/G to --format completions
  * test: Use /root/.local/bin/pytest on ubuntu14 by default
  * test: Add generated test files to t/Makefile.am automatically
  * test: Add new test files to EXTRA_DIST
  * test: Use /root/.local/bin/pytest on centos6 by default
  * test: Use make pytest docker executable env-configurable, default
    pytest-3
  * test: Update generate for pytest+pexpect
  * test: Convert majority of test cases to pytest+pexpect
  * tox: Fall back to --listenvs for env list if --listenvs-all fails
  * git-post-commit: Avoid some error trash when HEAD is not a
    symbolic ref
  * test: Add pylint-3 test case
  * test: Limit number of pylint option completions
  * pydoc, pylint: Determine python2/3 based on command basename only
  * pylint: Bring -f/--format arg completion up to date with pylint
    1.9.2
  * pylint: Implement comma separated --confidence arg completion
  * test: Fix buffer size option listing in run --help
  * test: Bump expect's match_max to 20000 by default
  * test: Run docker tests with --verbose
  * _services: Try systemctl list-unit-files if systemctl list-units
    fails
  * extra/git-post-commit.sh: Add git post-commit Docker Hub trigger
    hook
  * gpgv: New completion
  * pydoc, pylint: Skip module completion if current looks like a path
  * travis: Run ubuntu14/bsd with no network
  * travis: Split long lines in script
  * test: Limit number of wget option completions to avoid unresolved
    result
  * test: Mark flake8 untested if it seems broken
  * pylint: Option arg completion improvements
  * tshark: Get available interfaces from -D output
  * ngrep: Add "any" to -d arg completions
  * fio: New completion
  * test: Fix iwspy test case
  * uscan: Use _parse_help instead of hardcoded option list
  * urlsnarf: Add -p arg completion
  * tracepath: Add -m and -p arg non-completions
  * tracepath: Actually use our separate completion instead of
    _known_hosts
  * test: Skip jq option completion test if its --help doesn't list
    them
  * xdg-settings: Make help parsing work on BSD
  * test: Support running with local BSD binaries, do it w/ ubuntu14
    in CI
  * jq, sqlite3: Protect against negative array subscripts
  * sudo: Improve long option arg handling
  * sysctl: Recognize --pattern/-r and --load options
  * test: Add sysctl option parsing test case
  * sudo: Parse options from help/usage output, add some long option
    support
  * strace: Use _parse_help instead of hardcoded option list
  * sshow: Add -p arg completion
  * sqlite3: Add some option arg (non-)completions
  * tune2fs: Update -o/-O argument lists
  * jq: New completion
  * reportbug: Run _parse_help and apt-cache more selectively
  * querybts: Use _parse_help, not hardcoded option list, misc
    improvements
  * pyvenv: Support versioned 3.6-3.8 executables
  * passwd: Try _parse_help before _parse_usage to parse options
  * profile.d: Avoid tested variable values being confused as [ ]
    operators
  * cryptsetup: Add some option arg (non-)completions
  * cryptsetup, nc, sh: Skip option args when counting arguments
  * modinfo: Fall back to _parse_usage if _parse_help yields no
    results
  * mysql, mysqladmin: Complete --ssl-{ca,cert,key} option arg
  * mysqladmin: Reuse --default-character-set completion from mysql
  * modinfo: Use _parse_help instead of hardcoded option list
  * minicom: Use _parse_help instead of hardcoded option list
  * mplayer: Associate with *.S[3T]M, *.med, *.MED
  * completions/Makefile.am: Use install-data-hook, not install-data-
    local
  * ifup etc: Add option and option argument completion
  * _count_args: Add support for not counting specified option args
  * ifquery: New ifup alias completion
  * ngrep, tshark: Complete on *.pcapng too
  * rpm: Complete --licensefiles with -q
  * pytest: Rename from py.test to follow upstream recommended name
  * README: Add instructions for overriding completions system wide
  * README: Note $BASH_COMPLETION_USER_DIR
  * test: Mark psql etc test cases untested if --help doesn't work
  * aclocal, automake: Support versioned 1.16 executables
  * __load_completion: Avoid bad array subscript on "commands" ending
    with slash
  * lzma: Use _parse_help instead of hardcoded option list
  * test: Run perlcritic and flake8 on perl and python helpers in
    Travis
  * build: Improve cleanup of test/log and test/tmp dirs
  * pkg-config: Complete on *.pc files
  * build: Use AC_PROG_SED to locate sed
  * build: Do cmake, pc, and profile variable replacements in Makefile
  * README: Add Q/A on overriding a completion, modernize local
    install answer
  * json_xs: New completion
  * chmod: New completion
  * iperf, nc: Include IPv6 addresses in bind address completions
  * links: Major rework, parse options from --help, add option arg
    completion
  * _ip_addresses: Add option to complete all/v4/v6 addresses, add
    unit test
  * wget: Remove nonexistent arg to _ip_addresses
  * _filedir: Drop unnecessary evals
  * iconv: Split charset completion to _iconv_charsets, add test case
  * links: Install completion for links2 too
  * xgamma: Comment spelling fix
  * lftp: handle -s
  * test: Skip scrub -p test when its --help doesn't list available
    patterns
  * ecryptfs-migrate-home: New completion
  * scrub: New completion
  * ether-wake: Install for etherwake as well
  * *: Support completing arg of last bundled short option
  * dselect: Parse options with _parse_help
  * dhclient: Add some option arg (non-)completions
  * dhclient: Parse options with _parse_usage
  * chage, chpasswd: Add -R/--root arg completion
  * reportbug: Add bunch of option arg (non-)completions
  * .dir-locals.el: Set -O extglob for flycheck bash checks
  * mount, umount: Deprecate on Linux in favor of util-linux >= 2.28
    ones
  * _known_hosts_real: Reimplement known hosts file parsing in pure
    bash
  * test: Add comment line to fixtures/_known_hosts_real/known_hosts
  * ssh: Complete all *File option args with _filedir
  * README: Point Debian and openSUSE badges towards unstable and
    Tumbleweed
  * README: Link to various distro packages
  * apt-get: Add -h/-v/-o non-completions
  * apt-get: Sync option list with apt 1.5.1
  * apt-get: Simplify -t and friends completion, support Ubuntu
  * apt-get: Add indextargets to list of suggested commands
  * apt-get: Complete install package=versions
  * ssh: Sync config option lists with OpenSSH 7.5p1, add some value
    completions
  * ssh: Sync query type list with OpenSSH 7.5p1
  * ssh: Order various switch cases closer to alphabetical
  * completions/Makefile: Fix check-local in VPATH builds

  [ dmerge ]
  * _filedir: Refactor to remove heredoc-dependent loop

  [ marxin ]
  * gccgo: Add as a GCC completion target (#227)

  [ ovf ]
  * xrandr: match the output name exactly for --mode

 -- Ville Skyttä <ville.skytta@iki.fi>  Sat, 27 Apr 2019 11:50:12 +0300

bash-completion (2.8)

  [ Andrea Dari ]
  * dpkg: Add -V/--verify arg completion

  [ Ben Wiederhake ]
  * Add support for .lz4 extension to file-roller (#158)

  [ Eric A. Zarko ]
  * unzip, zipinfo: Associate *.gar (#165)

  [ Gabriel F. T. Gomes ]
  * openssl: Add completion for the genpkey, pkey, pkeyparam, and
    pkeyutl commands

  [ Gonzalo Tornaría ]
  * test: run bash with --norc to avoid system bashrc

  [ Gábor Bernát ]
  * tox: New completion (#163)

  [ Halt ]
  * mplayer: Disable user config when parsing options

  [ Henry-Joseph Audéoud ]
  * ebtables: new completion (#150)

  [ Jakub Jelen ]
  * ssh,ssh-add,ssh-keygen: Complete pkcs11 options with *.so

  [ Kevin Pulo ]
  * mkdir: Complete on files in addition to dirs

  [ Luca Capello ]
  * dpkg-query: Fix -W/--show completion

  [ Mark Friedenbach ]
  * Add support for .lzo extension (--lzop) to tar (#155)

  [ Martin d'Anjou ]
  * java: Complete *.war

  [ Mateusz Piotrowski ]
  * kldunload: Increase robustness of compgen filters (#185)
  * kldunload: Show modules with digits

  [ Michał Górny ]
  * lftp: Support ~/.local/... bookmark location (#144)
  * test suite: Support overriding default match buffer size (#141)

  [ Pawel ]
  * man: Don't use $MANPATH directly (#161)

  [ Uwe Storbeck ]
  * dpkg: Complete --vextract on deb files
  * dpkg: Fix man page section in comment

  [ Ville Skyttä ]
  * make-changelog.py: Use python3
  * test: Fix getting username in non-login shells
  * test/unit: Whitespace tweaks
  * info, man, rsync: Defer _expand invocation
  * _expand: Reuse __expand_tilde_by_ref and _tilde logic, clean up
  * test: Add some _expand unit tests
  * bzip2, gzip, and other compressors: Use _tilde instead of _expand
  * test: Add assert_complete_homedir, use in dpkg and ls
  * dd, find, gcc: Remove unnecessary tilde expansion
  * dd: Omit space only when offering one completion ending with =
  * __expand_tilde_by_ref: Eval tilde expansion only, simplify
  * Bump copyright years to -2018
  * mkdir: Complete files without appending space
  * __load_completion: Load "xspec" completions dynamically too
  * __load_completion: Code cleanup
  * _available_interfaces: Get rid of eval
  * make: Pass script to sed as parameter instead of using process
    substitution
  * ccze: New completion
  * *: Comma separated opt arg completion improvements
  * test suite: Some more mplayer and mencoder coverage
  * tox: Complete comma separated -e arguments
  * xdg-mime,xdg-settings: Fix inclusion in tarball
  * geoiplookup: New completion
  * ping*,ssh,scp,sftp,tracepath6: Filter IPv4/IPv6 literal addresses
  * _known_hosts_real: Add option to filter IPv4 and IPv6 addresses
  * radvdump: New completion
  * lsscsi: New completion
  * python: Support completing dotted module hierarchies
  * test/docker: Tweak work dir, add bash as default cmd
  * test: Try to skip postconf variable test on broken postfix configs
    altogether
  * Revert "travis: Don't build local docker images, use vskytta/bash-
    completion ones"
  * test: Add "postconf -" test case
  * test: Work around broken centos/fedora postfix config in non-IPv6
    setup
  * travis: Don't build local docker images, use vskytta/bash-
    completion ones
  * pycodestyle: New completion
  * flake8: Various option arg completion improvements
  * perltidy: New completion
  * lowriter,localc etc: Use corresponding oo* completions
  * cryptsetup: Update option lists
  * pv: New completion
  * getconf: New completion
  * nproc: New completion
  * _known_hosts_real: Document -a better
  * ssh: Add -J/ProxyJump completion
  * ssh: Declare $prefix closer to use
  * test: Ignore duplicates in find_unique_completion_pair list
  * test: dpkg,ls,_tilde: Skip gracefully if no uniq user for
    completion is found
  * xdg-mime: New completion
  * ssh-keygen: Add -E arg completion
  * reportbug: Don't hardcode option lists, split option args at =
  * reportbug: Add -A/--attach arg completion
  * apt-get: Complete *.deb on install if argument contains a slash
  * ri: Fix integrated ri 1.8 class completion
  * test: Add files to test older ri with
  * Whitespace
  * test: Remove things moved to library.exp from bashrc
  * test: Add some comments regarding bash init in library.exp
  * xdg-settings: New completion
  * tox: Remove spurious executable bits
  * tox: Include ALL in -e completions
  * tox: Avoid stderr spewage when -e invoked without tox.ini
  * pylint: Invoke python3 to search for modules if command contains 3
  * pylint: Install for pylint-2 and pylint-3 too
  * test suite: Add bunch of man and MANPATH test cases
  * test suite: Make man test subject names less generic
  * test suite: man cleanup
  * rfkill: Rename to _rfkill to avoid conflict with util-linux >=
    2.31
  * test: Use prebuilt docker hub bash-completion images
  * README.md: Whitespace cleanup
  * iptables: Use invoked command instead of hardcoded "iptables"
  * iptables: Avoid stderr trashing when invoked as non-root
  * iptables: Parse options from --help output
  * vpnc: Add some option argument (non)completions
  * vpnc: Improve config completions
  * test suite: Drop no longer needed fedoradev /usr/bin/which
    workaround
  * test suite: Skip fedoradev GPG checks at least for now
  * lspci: New completion
  * lsusb: New completion
  * oggdec: New completion
  * alias: Fix completion followed by = (#146)
  * *: Protect shopt reset from non-default $IFS
  * test suite: Limit amount of info and pinfo test output
  * test suite: Add info and pinfo option test cases
  * test suite: Add basic hid2hci and munin-node-configure test cases
  * aptitude: Add keep to commands list (Debian: #867587)
  * *: Protect _known_hosts_real from user input treated as options
  * curl: Fix -x etc option argument hostname completion
  * groupdel: Parse and handle long options
  * aptitude-curses: Use aptitude completion
  * test suite: Install aptitude in ubuntu14 container
  * test suite: Enable wine in ubuntu14
  * xm: Don't leak args and commands environment variables
  * uscan: Don't leak cword and words environment variables
  * test suite: Add bunch of missing basic test cases
  * ktutil: Don't leak i and command environment variables
  * test suite: Limit amount of output from process name completion
  * test suite: Limit number of screen -T completion matches

  [ j^ ]
  * xine etc, ogg123, mplayer -audiofile: Associate with *.oga

 -- Ville Skyttä <ville.skytta@iki.fi>  Sat, 17 Mar 2018 10:30:07 +0200

bash-completion (2.7)

  [ Eli Young ]
  * Makefile: update default compatdir (#132)

  [ Ville Skyttä ]
  * Make user completion file configurable, disable in tests
  * test suite: Generalize xspec completion install check
  * pyflakes: Remove redundant xspec completion
  * test suite: Fix __expand_tilde_by_ref test expectation output
  * pdfunite: New *.pdf completion

 -- Ville Skyttä <ville.skytta@iki.fi>  Sat, 01 Jul 2017 14:08:43 +0300

bash-completion (2.6)

  [ Björn Kautler ]
  * Add missing sidedoor to .gitignore (#114)

  [ Ville Skyttä ]
  * test suite: Mark expected centos6 CI _filedir failures as such
  * Expose version in BASH_COMPLETION_VERSINFO, use it in profile.d
    script
  * test suite: Skip an expected make test case failure in centos6 CI
  * test suite: Fix ifdown and ifup CI test skipping
  * test suite: Ignore env var pulled in by use of scp in tests
  * test suite: If colon trim doesn't do anything, trim as usual
  * tar: Comment spelling fixes
  * test suite: Mark dpkg -L test case untested if no packages
    installed
  * test suite: Cosmetic tweaks
  * dpkg: Fix dpkg -i home dir completion
  * test suite: Improve ls home dir test descriptions
  * python: Split module completion to separate helper
  * micropython: New completion, aliased from python
  * test suite: Add Python module completion test case
  * python: Fix traceback avoidance on module completion error
  * openssl: Parse available digests from dgst -h
  * openssl: Add sha2 commands
  * gm: New completion, commands only for now
  * (test suite): Test screen -T completions
  * (test suite): Set TERM to dumb, not dummy
  * Revert "(test suite): Fix alias and cd cursor position tests"
  * mplayer: Remove duplicate *.m4a and *.m4v associations
  * mplayer, xine, etc: Associate *.mp4a and *.mp4v
  * xine etc: Fix *.m4a association
  * bind: Add option and argument (non-)completions
  * _user_at_host: Set nospace only when completing username part
  * _user_at_host: Append @ suffix to username part completions
  * man: Don't check OSTYPE or GNU userland, just enable on all
    systems
  * (test suite): Set dcop result to untested if dcop server is not
    running
  * (test suite): Don't insist on loading all completions dynamically
  * _configured_interfaces: Parse from /etc/network/interfaces.d/* on
    Debian
  * py.test: New completion
  * oowriter: Associate with *.pdf
  * Don't define BASH_COMPLETION_COMPAT_DIR
  * ri: Add option and arg completions
  * (test suite): Add our own dummy ri test fixture
  * (test suite): Info test needs docs, don't exclude from CentOS
  * (test suite): Fix CentOS 6 tcllib setup
  * (test suite): Simplify renice test, fix with only one completion
  * (test suite): Don't assume configured interfaces in CI setups
  * Don't offer * as configured interface when there are none
  * (test suite): Add basic CentOS 6 container for bash 4.1 coverage
  * (test suite): Ignore runtime loaded env function changes
  * (test suite): Add mailman bin dir to PATH for arch test
  * arch: Parse options from --help
  * (test suite): Load tested completions dynamically
  * (test suite): Accept non-whitespace single word in
    assert_complete_any
  * (test suite): Avoid interference from user and system dirs (#87)
  * (test suite): Install some things N/A in ubuntu14 to fedoradev
  * (test suite): Add unrar to ubuntu14 container
  * (test suite): Fix alias and cd cursor position tests
  * (test suite): Add basic alpine test case
  * alpine: Parse opts from -h output, add some opt arg completions
  * (test suite): Install jshint globally in ubuntu14
  * (test suite): Add mailman bin dir to PATH for some mailman tools
  * (test suite): Install jshint to ubuntu14 container with npm
  * unshunt: Parse options from --help
  * (test suite): Test lsof on ubuntu14
  * (test suite): Add basic hping3 test case
  * (test suite): Add our ./configure to PATH to test it, test opts
  * (test suite): Add bunch of packages to ubuntu14 container
  * (test suite): Ensure /usr/(local/)games is in $PATH
  * (test suite): Fix perl -d* test cases with no Devel::* installed
  * (test suite): curl has lots of options, add more test prefix
  * (test suite): Fix tar test case for ones having --owner-map
  * (test suite): Unsupport various kill, renice cases if ps is N/A
  * (test suite): Make chkconfig test behave better in container
  * (test suite): Don't assume mounted filesystems in quota* tests
  * newlist: Parse options from --help, add some arg non-completions
  * (test suite): Delete trailing whitespace
  * (test suite): Don't assume lists set up in newlist test cases
  * (docker): Pull in missing fedoradev xvfb-run which dependency
  * mr: Avoid stderr trash and test suite failure if man is N/A
  * (test suite): Fix mmsitepass completion test
  * tshark -G: Avoid stderr noise when running as superuser
  * (docker): Run completion tests with xvfb-run, e.g. for gkrellm
  * ssh-keygen: Make option parsing work with OpenSSH < 7
  * synclient, udevadm: Avoid use of posix char classes for awk
  * test suite: Add WIP Fedora dev config
  * Travis: Switch tests to docker, update to Ubuntu 14
  * xv: Associate with *.j2c, *.j2k, *.jp2, *.jpf, and *.jpg2 (Debian:
    #859774)
  * eog: Associate with *.j2c and *.jpg2
  * Bump copyright years
  * xine etc: Associate uppercase *.WM[AV]
  * mplayer: Associate *.weba (#112)
  * xine etc: Associate *.webm and *.weba (#112)

 -- Ville Skyttä <ville.skytta@iki.fi>  Tue, 27 Jun 2017 12:29:33 +0300

bash-completion (2.5)

  [ BartDeWaal ]
  * Support for python gui source files (#91)

  [ Ben Webber ]
  * mr: New completion

  [ Christian Kujau ]
  * ssh-keygen: support ed25519 keys (#79)

  [ Dara Adib ]
  * Add sidedoor to _ssh() completion (#106)

  [ George Kola ]
  * .ipa is just a zip file and we should let unzip handle it (#71)

  [ Miroslav Šustek ]
  * ant: parse targets in imported buildfiles (#84)

  [ Reuben Thomas ]
  * Add more tests for ccache
  * ccache: fix completing compiler's flags

  [ Ville Skyttä ]
  * test suite: Add java/javac non-completion fixture
  * javac: Complete -cp like -classpath
  * travis: Skip bluez and nis for now due to post-install script
    issues
  * test/config/*: Delete trailing whitespace
  * (test suite): Avoid loading user's ~/.bash_completion, fixes #87
  * ip: Recognize a as alias for address and l for link
  * ip: Recognize address in addition to addr
  * mr: Disable "clean" test case, command N/A before mr 1.20141023
  * ssh-keygen: Parse switches with _parse_usage, not _parse_help
  * mplayer: Associate with *.mjpg, *.mjpeg (Debian: #837779)
  * dd: Sync completions with coreutils 8.24
  * travis: Add mr
  * perl: Remove full path to cat in PERLDOC_PAGER call
  * deja-dup: New completion
  * CONTRIBUTING: Reorder sections
  * *: Move indentation settings to .editorconfig
  * make: Declare _make_target_extract_script like other functions
  * Travis: zopfli is AWOL?
  * *: Whitespace fixes

  [ Zearin ]
  * Minor edits to README.md (mostly formatting) (#110)

  [ l3nticular ]
  * Fix bug in 'make' completion when using BSD sed (#108)

  [ osu ]
  * Add support for Include in ssh config (#70) (#80)

 -- Ville Skyttä <ville.skytta@iki.fi>  Sat, 04 Feb 2017 18:07:27 +0200

bash-completion (2.4)

  [ Arash Esbati ]
  * xetex, xelatex, luatex, lualatex: Associate with tex files

  [ Gene Pavlovsky ]
  * Use shell globbing instead of ls to source files in compat dir

  [ Grisha Levit ]
  * Support completing array variables and expansions
  * Add tests for declare/typeset
  * Better handling of typeset/declare

  [ Kylie McClain ]
  * tar: silence --version's stderr output

  [ Paul M. Lambert ]
  * Support pod document files for perldoc (#39)

  [ Richard Alpe ]
  * tipc: fix missing last char in link name completion
  * tipc: handle complete words without trailing space
  * tipc: suppress tipc error messages
  * tipc: use double brackets in if conditions
  * tipc: make loop variables local
  * tipc: remove unnecessary return values
  * tipc: readd call to complete command
  * tipc: use cur variable for flag completion
  * tipc: add command prefix to link sed
  * tipc: remove unnecessary function _tipc_get_val()
  * tipc: use bash here string instead of echo
  * tipc: merge functions into main
  * tipc: add test framework
  * tipc: add tipc completions

  [ Ville Skyttä ]
  * Release 2.4
  * rpm: Offer --filetriggers with -q
  * javadoc: Add bunch of option arg (non)completions
  * lrzip: Add -m arg noncompletion
  * pkg-get: Don't use hyphens in function names
  * jarsigner: Add some option arg (non)completions
  * pkg-get,pkgrm: Drop unnecessary _have calls
  * *: Trivial cleanups
  * *: Remove redundant return 0's
  * pypy*: Add basic --jit arg completion
  * pypy3: Alias to python
  * hcitool,svcadm,tar: Spelling fixes
  * Travis: Install more packages for more test coverage
  * (test suite): Pass assert_complete_any for exact/only given arg
    completed
  * tipc: Invoke ls with "command"
  * tipc: Indentation fix
  * (test suite): Fix fallout from
    fec077d555f112b9f455c45860f90a3b47392fcf
  * (test suite): Remove Bash::Completion.3pm.gz from git, create on
    the fly
  * (test suite): Remove test/fixtures/_filedir/a"b from git, create
    on the fly
  * CONTRIBUTING: Note patch preferences if not using GitHub pull
    requests
  * python: Support -Q and -W arg completion without space
  * apache2ctl, aspell, make: Don't hardcode completion generator
    command
  * mysql: Avoid --default-character-set error with failglob, fixes
    #46
  * test suite: Add perldoc module+pod completion test case
  * perl: Remove some duplicated code
  * pushd: Use _cd completion for CDPATH support, closes #38
  * test suite: Add basic pushd test case
  * abook: Parse long options from command including full path
  * pyvenv: New completion
  * chroot: New (generic long options) completion, see #38
  * Travis: First steps toward testing with OS X
  * test suite: Add bashcomp_bash env var for better control on tested
    bash
  * aptitude: List packages using _apt_cache_packages, fixes #33
  * vncviewer: Cleanup shopt use, drop an eval
  * make: Avoid a grep
  * rpm: Fix --whatenhances arg completion
  * aspell, minicom, mysql: Replace use of ls with printf
  * cppcheck: Complete filenames too for --platform
  * man: Prioritize MANPATH, simplify, add fallback e.g. for busybox,
    fixes #28
  * aclocal: Install completion for 1.14 and 1.15, fixes #25
  * mpv: Don't install symlink for it, fixes #24
  * test suite: Add function and declare test cases
  * CONTRIBUTING: Highlight request for test cases

  [ Wayne Scott ]
  * The BitKeeper completion used the wrong set of commands

 -- Ville Skyttä <ville.skytta@iki.fi>  Fri, 12 Aug 2016 22:43:27 +0300

bash-completion (2.3)

  [ Daniel Milde ]
  * Completion for python zip archives

  [ Liuhua Wang ]
  * lvm: pvcreate should be able to use all block devcices
  * lvm: fix all commands that should get all PVs

  [ Ville Skyttä ]
  * Release 2.3
  * make-changelog: Don't output "Merge pull request" entries
  * make: Use <<< instead of printf + pipe
  * gnokii: Use <<< instead of echo + pipe
  * *: Use [:blank:] instead of $'\t ' tricks where appropriate, fixes
    #19
  * test suite: Fix abook test case
  * test suite: Don't insist on property completions if synclient -l
    fails
  * test suite: Tolerate "See 'man feh'" feh --help output
  * test suite: Fix tar failure caused by previous tar change
  * tar: Detect GNU/other from --version only once per session
  * tar: Remove unused variable
  * tar: Fix GNU tar help output parsing regex, fixes #15
  * test suite: Add tar xvf filename test case
  * tar: Don't write to /tmp/jetel
  * python: Simplify code
  * python: Complete all files also after -m
  * python: Don't offer options after -c
  * python: Complete all files only if -c is before current word
  * test suite: Add some python test cases
  * unzip, zipinfo: Complete on *.pyz
  * travis: configure and run completions syntax check
  * make check: Test syntax of all completion files
  * CONTRIBUTING.md: Ask for test cases

 -- Ville Skyttä <ville.skytta@iki.fi>  Mon, 28 Mar 2016 18:32:47 +0300

bash-completion (2.2)

  [ Barry Warsaw ]
  * _init_completion: Handle cword < 0 (LP: #1289597)

  [ Damien Nadé ]
  * (testsuite) Use 'set' command posix behaviour when saving env
    (Alioth: #314720)
  * Added test/site.{bak,exp} to .gitignore
  * _parse_help: Fix failglob failures (Alioth: #314707)
  * _lvm: using a single-pattern case and invoking function according
    to words[1]
  * lvm: _lvm_count_args parameter must be quoted in order to failglob
    not to complain
  * gendiff: Quoting suffix pattern to avoid triggering failglob

  [ Dams Nadé ]
  * ssh-add, ssh-keygen: -? needs to be quoted under failglob (Alioth:
    #314709)
  * Quote unset array element to avoid globbing interference (Alioth:
    #314708)

  [ David Paleino ]
  * Refactor bts and uscan, since they use common functions
  * uscan: New completion, thanks to Federico Ceratto
  * bts: New completion, thanks to Federico Ceratto.

  [ Guillaume Rousse ]
  * complete on freerdp-specific known hosts list
  * nmcli completion was integrated upstream

  [ Igor Murzov ]
  * isql: Fix failglob failure
  * ssh-add, ssh-keygen: -? needs to be quoted under failglob (take 2)
    (Alioth: #314709)
  * (testsuite): move testing of _linux_fstab() to umount.exp
  * umount: Fix mount points escaping/unescaping with Bash-4.3
  * slapt-src: Handle --config=FILE option properly
  * sbopkg, slapt-{get,src}: expand tilde in config file name
  * slapt-{get,src}: Fix issue with sed not being able to handle some
    characters
  * slapt-src: split options from their arguments
  * Quote _filedir arguments when appropriate to prevent failglob
    failures
  * psql: Tell psql to not load .psqlrc as it may change output format
    (Alioth: #314636)
  * testsuite: Add basic tests for portsnap and freebsd-update
  * mplayer: -dvd-devices takes dvd devices, dirs and .iso files as
    argument
  * 7z: Improve completion
  * f77, f95: Use the same completion as for g77, g95 if they are
    links to gfortran
  * aptitude: safe-upgrade accepts package name as parameters (Alioth:
    #313638, Debian: 673235)
  * _longopt: Run commands in C locale.
  * make: Use only posix basic regexps with sed (Alioth: #314345)
  * cppcheck: Add new --enable option argument and --library argument
    completion
  * dpkg: Suppress unwanted error messages (Debian: #706502)
  * perl: -d/-dt option argument is optional (Alioth: #314242)
  * Add config for cmake to bash-completion.
  * kcov: Add new sort types, complete --replace-src-path arguments
  * feh: Add new sort type

  [ Mathieu Parent ]
  * Puppet: describe: update options list, accordind to 'puppet help
    describe'
  * Puppet: cert: update options list, accordind to 'puppet help cert'
  * Puppet: apply: update options list, accordind to 'puppet help
    apply'
  * Puppet: agent: update options list, accordind to 'puppet help
    agent'
  * Puppet: puppet parser support
  * Puppet: puppet -* doesn't imply 'puppet apply'
  * Puppet: use puppet terminology

  [ Matthew Gamble ]
  * Modify all usages of 'sed' to be run with command bash builtin
  * Use command built-in to run sed to avoid any custom aliases

  [ Matthieu Crapet ]
  * man: Use -w instead of --path

  [ Michael Gold ]
  * profile.d: Avoid some warnings from shells in "nounset" mode
    (Debian: #776160)

  [ Miroslav Lichvar ]
  * chronyc: Update help text parsing
  * chronyc: Add missing subcommands
  * chronyc: Add -6 option

  [ Nevo Hed ]
  * minicom: Recognize user ~/.minirc.* as config files

  [ Ondrej Oprala ]
  * __get_cword: avoid $index < 0 (Alioth: #315107)

  [ Patrick Monnerat ]
  * rpmbuild: Complete *.spec on --clean (RedHat: #1132959)

  [ Pavel Raiskup ]
  * tar: rework the completion completely

  [ Peter Cordes ]
  * upstart support for service completion

  [ Peter Dave Hello ]
  * freebsd-update: New completion.
  * portsnap: New completion.

  [ Peter Wu ]
  * modprobe: fix params with multi-line descriptions
  * gdb: support --args style completion (Alioth: #314664)

  [ Rainer Müller ]
  * make: Fix basic regex for portability (Alioth: #314345)

  [ Raphaël Droz ]
  * gnokii: New completion

  [ Rune Schjellerup Philosof (Olberd) ]
  * dpkg: Add support in dpkg completion for .ddeb (LP: #568404)

  [ Shaun McCance ]
  * xmllint, xmlwf, xsltproc: Complete on Mallard *.page files

  [ Stefano Rivera ]
  * pypy: New completion identical to python (Alioth: #314501)

  [ Thilo Six ]
  * Use more straightforward way to check bash version
  * _mac_addresses: Use explicit C locale for ifconfig (Debian:
    #704832).

  [ Tristan Wibberley ]
  * make: Don't pick up variables when makefile is reloaded
  * make: Offer hidden targets when it is clear that the user is
    trying to complete one of them
  * make: Fix detection of intermediate targets where make has changed
    its database whitespace
  * make: Add __BASH_MAKE_COMPLETION__ variable
  * make: completion shouldn't be confused by the output of $(info
    confuse: make)

  [ Uwe Kleine-König ]
  * Don't complete hostnames found after Hostname in ~/.ssh/config

  [ Ville Skyttä ]
  * Release 2.2
  * README.md: Note autoreconf need only in unprepared tarball
  * make-changelog.py: Set myself in footer
  * make-changelog.py: Fix footer line output
  * make-changelog.py: flake8 fixes
  * make-changelog.py: Make work with Python 3
  * README.md: More markdown tweaks
  * README.md: Markdown tweaks
  * zopflipng: New completion
  * README.md: Not need for autoreconf, fixes #11
  * README: Expand troubleshooting section somewhat
  * Merge pull request #9 from shaunix/master
  * ssh: Extract duplicate code to _ssh_configfile
  * Remove various comments related to bash versions we don't support
  * travis: Install more packages for [xyz]* test coverage
  * travis: Install more packages for [stuvw]* test coverage
  * travis: Install more packages for [qr]* test coverage
  * travis: Install more packages for [op]* test coverage
  * travis: Install more packages for m* test coverage
  * travis: Install more packages for [jkl]* test coverage
  * Merge pull request #7 from ukleinek/master
  * indent: Remove generic long option completion
  * Update copyright year
  * travis: Install more packages for [hi]* test coverage
  * travis: Install more packages for [fg]* test coverage
  * mysql: Fix --default-character-set completion with mariadb
  * mysql, puppet: sed portability fixes
  * gnokii, minicom: Use grep through "command"
  * lint: Check for sed without "command"
  * Merge pull request #2 from djmattyg007/avoid_sed_alias
  * travis: Install more packages for [de]* test coverage
  * travis: Install more packages for c* test coverage
  * travis: Add note about (currently) N/A packages
  * test suite: Mark unsupported look test case as such, not
    unresolved
  * test suite: Use unsupported instead of xfail for modinfo/modprobe
    cases
  * travis: Install more packages for [0-9][ab]* test coverage
  * travis: Run tests with --all to get some more useful output
  * test suite: Fix ssh partial hostname completion test
  * README: Split contributing to separate CONTRIBUTING doc
  * README: Convert to markdown
  * Drop references to bash-completion-devel@lists.alioth.debian.org
  * build system: Switch to xz compressed tarball
  * aclocal, automake: Install for versioned 1.14 and 1.15 executables
  * Update URLs and various instructions to GitHub
  * README: Update POSIX spec link
  * travis: Avoid Travis default ri, use distro one instead
  * test suite: Make apt-get test less sensitive to available commands
  * test suite: Output tool log on failure in CI
  * Set up Travis
  * test suite: Expect failure in modinfo/modprobe if there are no
    modules
  * test suite: Fix ssh-copy-id test on old setups with no identities
  * cppcheck: Add native to --platform completions
  * ssh: Avoid completing commands before hostname
  * chronyc: Parse command args from help output
  * chronyc: Wrap long lines
  * Load completions also from $XDG_DATA_DIRS (RedHat: #1264094)
  * (testsuite) Ignore files generated by complete-ant-cmd.pl
  * scp, sftp: Complete -S on commands
  * scp, sftp: Fix querying ssh options
  * sftp: Add -l arg non-completion
  * ssh-copy-id: Offer only *.pub to -i
  * mpv: Remove mplayer-aliased completion
  * __load_completion: New function, use in _completion_loader and
    _xfunc
  * modplug*: Associate *.oct and *.okt
  * rpm: Add --whatenhances/recommends/suggests/supplements and
    --recommends/supplements completions
  * pgrep, pidof, pkill, pwdx, vmstat: Add support for procps-ng
  * pdftotext: New completion
  * checksec: New completion
  * ssh: Complete HostbasedKeyTypes,HostKeyAlgorithms,KexAlgorithms
    values
  * ssh: Query ciphers and macs from ssh before hardcoded fallback
  * ssh: Add -Q argument completion
  * sysctl: Return early on --help, --version
  * sysctl: Try parsing options from help before usage
  * Document how to avoid command_not_found_handler interference
  * eog: Complete on *.ppm (RedHat: #1090481)
  * tar: Plug $line var leak
  * tar: Style tweaks
  * (testsuite) Add required "empty" dir for tar
  * bsdtar, tar: Remove symlinks from git, have make create them
  * jshint: New completion
  * gnokii: Include and install it
  * gnokii: Fix completions of options that are prefixes for others
  * gnokii: Drop dead code
  * (testsuite): Add basic gnokii test case
  * gnokii: Various minor and cosmetic fixes
  * _filedir: Avoid some unnecessary work with -d
  * _filedir: Remove unused variable
  * _filedir: Fix overquoted argument to compgen -d (RedHat: #1171396)
  * 2015
  * Load user completions from $BASH_COMPLETION_USER_DIR/completions
  * Revert "README: Don't hardcode /etc in cmake fallback dir"
  * README: Don't hardcode /etc in cmake fallback dir
  * README: Add cmake usage example
  * README: Add autotools and cmake tips
  * Drop reference to no longer used sysconf_DATA
  * synclient: New completion
  * tune2fs: Add missing return in -M arg completion
  * reptyr: Rename file to _reptyr to avoid conflict with upstreamed
    completion
  * cppcheck: Option argument (non-)completion update
  * dropuser: New completion
  * createuser: New completion
  * createdb, dropdb: Drop -o default, it does not appear to do
    anything good here
  * tshark: Simplify cut usage
  * mcrypt: Simplify -m arg completion
  * (testsuite): Add mcrypt -a and -m argument completion tests
  * strings: Fix -T/--target arg completion with non-English locale
  * chrome, firefox etc: Complete on *.pdf
  * ccache: Add -o/--set-config arg name completion
  * gphoto2: Replace tail with awk
  * *: Invoke command to be completed, not its basename
  * gphoto2: Fix split argument handing, and colon treatment in --port
    args
  * _completion_loader: Protect compgen from -* leakage (Debian:
    #769399)
  * Actually install the lz4 completion
  * _pnames: Add -s for producing (possibly) truncated names (RedHat:
    #744406)
  * (testsuite) Add cd in dir without subdirs or CDPATH test case
  * Protect various compgen invocations from -* leakage (Debian:
    #766163)
  * pigz, unpigz: Handle *.zz
  * _completion_loader: Set empty command to _EmptycmD_ for cross
    version compat
  * Comment update
  * rpmbuild: Complete *.spec on --nobuild
  * mplayer, *xine: Complete on *.mts (Debian: #759219)
  * ant: Support buildfile set in $ANT_ARGS (Alioth: #314735)
  * (testsuite) Add ant -f <buildfile> test case
  * ant: Don't offer more completions after options that exit
  * 7z, adb: Trivial cleanups
  * python(3): Add -X argument non-completion
  * xsltproc. TODO fix for previous commit
  * xmllint, xmlwf, xsltproc: Complete on *.dbk and *.docbook (Alioth:
    #314770)
  * xz: Complete -T/--threads argument
  * (testsuite) Save shell variables when saving env (Alioth: #314720)
  * adb: New completion
  * modprobe: Try parsing help before using hardcoding option list
  * (testsuite) Add vgcreate test case for _lvm_count_args with
    failglob on
  * _filedir_xspec: Fix with failglob on
  * Various mostly array element unsetting fixes under failglob
  * __reassemble_comp_words_by_ref: Make work with failglob on
    (Alioth: #312741)
  * _services: README in sysv init dir is not a service
  * mpv: New completion alias + adjustments for mplayer (Debian:
    #749115)
  * (testsuite) Add puppet subcommand option test case
  * puppet: Recognize some short options
  * puppet: Parse most subcommand options from "help subcommand"
    output
  * puppet: Exit early on -h|-V|--version in addition to --help
  * hostname: New completion
  * nslookup: complete on hosts (Alioth: #314673)
  * eog: Complete on *.pgm (RedHat: #1090481)
  * pngfix: New completion
  * qemu: Fix -balloon arg completion
  * qemu: Apply completion to qemu-kvm/-system-i386/-system-x86_64 too
  * xrandr: Use the invoked command internally, not hardcoded "xrandr"
  * xrandr: Add (some) --setprovider* arg completion support
  * profile.d: Don't return from a sourced script (Debian: #741657)
  * FAQ: Clarify that we mean the bash man page for M-/
  * (testsuite) Avoid complete-ant-cmd.pl errors with our build.xml
  * ri: Fix class completion with ri >= 3.
  * ri: Fix colon handling in class completion.
  * flake8: New completion
  * pyflakes: New completion
  * cal,chfn,chsh,dmesg,eject,hexdump,look,newgrp,renice,runuser,su,wr
    ite: Deprecate on Linux in favor of util-linux ones (Debian:
    #737672)
  * testsuite: Add basic newgrp test case
  * testsuite: Add basic test cases for deprecated completions
  * _*: Install our deprecated completions too, try loading them
    secondarily
  * hwclock,ionice,rtcwake: Deprecate in favor of util-linux ones
    (Debian: #737672)
  * ssh-keygen: New completion
  * Bump copyright years to 2014.
  * jpegoptim: New completion
  * ip: Add some addr, addrlabel, and route arg completions
  * aptitude, dpkg: Replace some grep+cuts with awk
  * gcc, lintian, make, pkgadd, slackpkg: grep -> "command grep"
    (Debian: #734095)
  * lintian: Replace some grep+cuts with awk
  * (testsuite) Check for grep and ls invoked without "command", see
    README
  * lz4: New completion.
  * optipng: New completion.
  * cppcheck: Include - in --file-list completions.
  * (testsuite): Limit wtf completions to A* to keep expect happier.
  * wtf: Look for acronym db from /usr/share/games/bsdgames/acronyms
    too.
  * wtf: Don't offer -f if it was already specified.
  * wtf: Hush stderr when db file doesn't exist.
  * appdata-validate: New completion.
  * timeout: New completion.
  * _known_hosts_real: Exclude %h HostName entries (RedHat: #1015935).
  * cc, c++: Check path to binary when finding out if it's gcc
    (Alioth: #314417).
  * cc, c++: Install minimal completion for non-gcc ones (Alioth:
    #314417).
  * abook, kldunload: Pre-expand \t instead of relying on sed
    supporting it.
  * dict: Trivial regex cleanup.
  * _known_hosts_real: Pre-expand \t instead of relying on sed
    supporting it (Alioth: #314393).
  * zopfli: New completion.
  * bzip2, gzip, lzma: Cleanups.
  * Cosmetics.
  * export, _variables: Do TZ= completion (Redhat: #994646).
  * 2to3: New completion.
  * file-roller: Reuse unzip's xspec.
  * 7z: New completion.
  * hcitool, rfcomm, ciptool, hciconfig: Don't leak $args.
  * perl: Fix -dt: completion.
  * perl*: Fix handling of relative paths in @INC.
  * wget: Add --accept-regex/--reject-regex/--regex-type arg
    (non)completions.
  * wget: Drop incorrect -nv arg completion.
  * wget: Stop completing after --help/--version.
  * Clean up/compact various globs.
  * cvs: Fix checkout -j non-completion.
  * sh: Complete script arguments with all filenames (Alioth:
    #314226).
  * nmcli: Deprecate our completion, upstream has one in 0.9.8.0.
  * Revert "nmcli completion was integrated upstream"
  * Use == instead of =.
  * cvs rm: Don't filter existing files with -f (RedHat: #949479).
  * aclocal, automake: Install for *-1.10, *-1.12, and *-1.13 too.

 -- Ville Skyttä <ville.skytta@iki.fi>  Thu, 03 Mar 2016 17:22:50 +0200

bash-completion (2.1)

  [ AllKind ]
  * Fix __ltrim_colon_completions() fail on parameter (\$1) containing
    a glob.

  [ Andreas Müller ]
  * completions/Makefile.am: symlinks depends on $(DATA) to avoid race
    conditions

  [ Christian von Roques ]
  * Fix __reassemble_comp_words_by_ref for $COMP_CWORD == ${#COMP_WORDS[@]}

  [ David Paleino ]
  * Fix helper script to create changelogs

  [ Guillaume Rousse ]
  * New completions: nmcli, gphoto2
  * Improved completions:
    - dsniff: add -p option completion
    - dsniff: fix interface completion


  [ Igor Murzov ]
  * _command_offset: Restore compopts properly (Alioth: #313890)
  * _parse_help, _parse_usage: Run commands in C locale.
  * New completions: wget, zathura
  * Improved completions:
    - cppcheck: Add new standards to --std option.
    - evince: Evince supports opening .pdf.xz files (Alioth: #313739).
    - feh: Add new options introduced in feh-2.7.
    - feh: Fix list of background styles.
    - fusermount: Complete curlftpfs-mounts for "fusermount -u" (Debian:
      #685377)
    - kcov: Add new sort types (introduced in kcov-9).
    - kcov: Complete arguments of --limits option.
    - lvm: Fix typo in option name: s/continguous/contiguous/.
    - make: Do not append space if target is a filepath.
    - mount: Fix parsing /etc/fstab on *BSD.
    - mount.linux: Add some new mount options intoduced in Linux 3.5 and 3.7
    - mount.linux: Add options completion for nfs and davfs.
    - mount.linux: Clean up mount options, remove duplicates.
    - mplayer: Add opus to the list of supported formats.
    - mplayer: Add -subcp argument completion.
    - opera: Handle options.
    - slackpkg, slapt-get: Update the list of package sets.
    - tar: Fix detection if the $prev is a tar file.
    - valgrind: Add --soname-synonyms option arguments completion.
  * Testsuite:
    - _filedir: Remove the cruft from the a\$b->h unit test (Alioth: #313480)

  [ Jeroen Hoek ]
  * Improved completions:
    - unzip: Add support for OpenDocument formats.

  [ Ken Sharp ]
  * Improved completions:
    - wine: add .msi completion

  [ Martin Ueding ]
  * Stylistic cleanup

  [ Tristan Wibberley ]
  * Improved completions:
    - make: incremental completion for make with compact display
    - make: convert make completion to use smarter parser

  [ Ville Skyttä ]
  * Avoid sourcing dirs in completion loader to avoid fd leaks (RedHat: #903540)
  * Ignore colormake symlink.
  * Line continuation, whitespace, and compgen -W ... -- "$cur"
    quoting cleanups.
  * _available_interfaces: Try with "ip link" if ifconfig is not available.
  * _ip_addresses: Try with "ip addr" if ifconfig is not available.
  * _known_hosts_real: Filter ruptime stdout error spewage (Alioth: #313893).
  * _mac_addresses: Try local interfaces with "ip link" if ifconfig not
    available.
  * _mac_addresses: Try ARP cache with "ip neigh" if arp is not available.
  * _mac_addresses: Fix with net-tools' ifconfig that outputs ether, not HWaddr.
  * New completions: chronyc, eject, eog, file-roller, hexdump, interdiff, lua,
    luac, luseradd, luserdel, lusermod, mussh, nc, ngrep, patch, pydoc,
    pyflakes, pylint, ss, strings, tshark, wsimport, xxd
  * Improved completions:
    - acpi, chpasswd, dmesg, gkrellm, groupmems, hwclock, lastlog, pwd, vipw:
      Complete options even without "-" given.
    - arpspoof, dsniff, ether-wake, nmap: Offer active interfaces only.
    - clzip, pdlzip, plzip: New lzip alias completions.
    - colormake: New make alias completion (LP: #743208, Debian: #682557)
    - cpio: Recognize pass thru when -p is bundled w/other options
      (RedHat: #912113).
    - cppcheck: Add --language/-x argument completion.
    - cppcheck: Complete --include= with filenames.
    - dnsspoof, filesnarf, macof, sshow, tcpkill, tcpnice, urlsnarf: Fix -i
      completion.
    - genisoimage: Use _parse_help instead of hardcoding options, add basic test
      case.
    - groupmems: Add -R/--root arg completion.
    - hexdump: Actually install for hd as well.
    - host: Complete with known hosts.
    - ip: Improve addr show and link show completions.
    - ip: Remove some stale TODOs.
    - jar: Reuse unzip's xspec (RedHat: #928253).
    - koji: Complete on build targets when --target is given to wait-repo.
    - lv{create,resize,extend}, vg{create,reduce,extend,split}: Fix variable
      leaks.
    - lvm: Add _lvm prefix to helper functions.
    - lvm: Take option args into account when counting args (RedHat: #860510).
    - lvm volumes: Complete on /dev/mapper/* (RedHat: #851787).
    - lzip: Do not append space after equal sign in long options.
    - make: Convert internal variable names to lowercase, indentation fix.
    - make: Don't leak $mode.
    - make: Make work in POSIX mode.
    - man: Add support for .lz man pages (RedHat: #839310).
    - man: Don't expand man page extensions too early.
    - man: Fix -P/--pager full path arg completion.
    - modinfo: Use ,, for lowercasing instead of tr in a subshell.
    - modprobe: Don't suggest installing already installed modules.
    - ncftp: Add option completion.
    - pkg-config: Try to complete --variable= if package name is already given.
    - pydoc: Complete on keywords and topics.
    - python, pydoc: Add module completion.
    - scp: Treat strings with slash before colon or starting with [.~] as local.
    - ssh: Add some -o and related arg completions.
    - ssh: Add -O argument completion (Debian: #680652).
    - tar: Don't take -I to mean bzip2.
    - tar: Fix completing files inside *.tlz when J is explicitly given.
    - tar: Simplify bzip patterns.
    - tar: Support *.tar.lz (Debian: #703599).
    - tar: Recognize taz and tb2 as compressed tarballs.
    - tcpdump: Fix -z full path arg completion.
    - unzip/zipinfo: Associate with more StarOffice extensions.
    - useradd, userdel, usermod: Add -R/--root arg completion.
    - useradd, usermod: Support comma separated -G/--groups arg completion.
    - useradd: Fix -k, -K, and --home-dir argument completions.
    - userdel: Add -h/--help non-completion.
    - valgrind: Fix full path <command> arg completion.
    - vgcreate: Add missing symlink.
    - vipw: Add -R/--root arg completion.
    - vpnc: Add bunch of option arg (non)completions.
    - vpnc: Use _parse_help instead of hardcoding options, add basic test case.
    - wget: Use == instead of =.
    - wine: Fix extension glob to work on its own.
    - wol: Try "ip addr" before ifconfig for finding out broadcast addresses.
    - xrandr: Add bunch of option arg non-completions.
    - xrandr: Use _parse_help.
    - xrandr --mode: Clean up one awk call.
    - xrandr: Avoid --mode completion error when --output is not given.
    - xrandr: Don't leak $i when completing --mode.
  * Deprecated completions:
    - udevadm: one is shipped in systemd >= 196 (RedHat: #919246).
  * Testsuite:
    - Make pydoc test more likely to work with our limited expect buffer size.
    - Fix pwd unit test

  [ Yann Rouillard ]
  * New completions: pkgutil, pkgrm, pkgadd, pkg-get, svcadm.

  [ wonder.mice ]
  * Fixed tilde expanding in _filedir_xspec

 -- David Paleino <d.paleino@gmail.com>  Fri, 05 Apr 2013 12:05:15 +0200

bash-completion (2.0)

  [ Anthony Ramine ]
  * Properly declare 'symlinks' dependencies

  [ David Paleino ]
  * apt-get: add 'changelog' to completed commands

  [ Guillaume Rousse ]
  * Add xz compression extension for kernel modules

  [ Igor Murzov ]
  * sudo: Handle options (Alioth: #311414).
  * sudoedit: New completion.
  * _command_offset: Properly quote arguments of eval (Alioth:
    #313499).
  * mount.linux: Add some new mount options intoduced in Linux 3.0-3.2
  * _modules: Ignore error messages.
  * modprobe, modinfo, insmod: Move modprobe and modinfo completions
    to their own files.
  * sbopkg: Use _parse_help.
  * sbopkg, slackpkg, slapt-{get,src}: Use shorter form of the check
    if file exists.
  * _filedir: Properly quote paths to avoid unexpected expansion.
  * su: Add linux-specific completion
  * insmod, modprobe: Don't hardcode path to modinfo (Alioth: #313569)
  * man: --path option is supported on Darwin (Alioth: #313584)
  * man: Move variable declaration to the right place.
  * feh: Update option argument completions.
  * fbi, feh: Complete more supported file formats.
  * fbgs: Add new options introduced in fbida-2.09.
  * cppcheck: Complete new --relative-paths option arguments
  * _expand: Suppress unwanted bash error messages (Alioth: #313497)

  [ Itaï BEN YAACOV ]
  * scp: Recognise symlinks to directories as directories (Debian:
    #666055).

  [ Jonathan Nieder ]
  * ri: Rename ri_get_methods helper to add leading underscore

  [ Ville Skyttä ]
  * rmmod: Add option completions.
  * testsuite/generate: Generate less linefeeds.
  * insmod: Install for insmod.static too.
  * mplayer: Add -monitoraspect arg completion.
  * mplayer: Add generic handling of options that take arguments.
  * testsuite: Fix spurious modinfo and modprobe test failures on
    systems that have /lib and /lib64 dirs.
  * pigz: Add -p/--processes arg completion.
  * testsuite: Add basic su test case.
  * su: Fix long option handling.
  * su: Add --session-command arg completion.
  * su: Complete -s/--shell with shells instead of all files.
  * lyx: Remove simple completion, upstream has more complete one
    (Debian: #662203)
  * testsuite/generate: Tweak linefeeds.
  * make: Add generic variable completion.
  * man: Recognize 3gl as man page filename extension -- at least Mesa
    uses it.
  * _realcommand: Try greadlink before readlink (Alioth: #313659).
  * Comment spelling fix.
  * qiv: Add *.svg.
  * xmllint: Add *.svgz.
  * autotools: Use MKDIR_P instead of mkdir_p (Alioth: #313671).
  * lbzip2: Add -n argument completion.
  * *_tilde*: Escape tilde in [[ $1 == \~* ]] tests (RedHat: #817902).
  * New completions:
    - acpi, hwclock, pwd, ssh-add, vmstat

  [ Sung Pae ]
  * Workaround bash bug that fails to complete <, >

 -- David Paleino <d.paleino@gmail.com>  Sun, 17 Jun 2012 20:01:36 +0200

bash-completion (1.99)

  * Hopefully the last 2.0 preview.

  [ David Paleino ]
  * Correctly list purgeable packages for dpkg --listfiles and dpkg
    --purge (Debian: #647684)
  * Fix bash_completion paths in README (Debian: #647941)

  [ Florian Hubold ]
  * xv: Add *.eps and *.ps to filename completions (Alioth: #313477)

  [ Igor Murzov ]
  * Add and use _sysvdirs() function that sets correct SysV init
    directory.
  * cppcheck: Add new options introduced in cppcheck-1.52.
  * cppcheck: Several ids separated by commas can be given for
    --enable=.
  * _known_hosts_real: Add some quotes (Alioth #313158)
  * Merge completions/service into the bash_completion script.
  * _modules: Follow symlinks in /lib/modules/$(uname -r) (Alioth:
    #313461)
  * mount, umount: Add linux-specific completions.
  * mount: Don't suggest short options.
  * pidof: Don't check OS type (Alioth #311403)
  * removepkg: Make it possible to complete filenames.
  * umount: Fix for completion of relative paths.
  * upgradepkg: Support oldpackage%newpackage notation.
  * wine: Complete all files after an .exe (Alioth #313131)
  * New completions:
    - htop, nethogs.

  [ Jan Kratochvil ]
  * rpm: Treat -r as --root (RedHat: #759224).

  [ Raphaël Droz ]
  * Added a word about compopt -o nospace in styleguide.txt.
  * _ip_addresses: Make it locale agnostic.

  [ Ville Skyttä ]
  * cc, c++: Install gcc completion if compiler looks like GCC
    (Alioth: #311408).
  * cppcheck: Offer header filename completions too.
  * curl: Add bunch of new option argument completions.
  * dequote: Use printf instead of echo (Alioth: #312163).
  * dict: Speed up word completion with common use cases and large
    word lists.
  * dmesg: Adapt to versions returning long options.
  * Document $split && return.
  * _filedir, _tilde: Ignore compopt stderr for direct invocations in
    unit tests.
  * Include doc/ in dist tarball.
  * _known_hosts_real: Handle more than two hostnames per known hosts
    line (Debian: #647352).
  * _known_hosts_real: Include hosts reported by ruptime (Alioth:
    #313308).
  * _known_hosts_real: Support > 1 files per *KnownHostsFile line
    (Debian: #650514).
  * lintian: Use <<< instead of echo and a pipe (Alioth: #312163).
  * lrzip: -T no longer takes an argument since version 0.570.
  * _mac_addresses: Grab addresses from FreeBSD's ifconfig -a output
    too.
  * make: Add -j/--jobs completion, complete up to number of CPUs * 2.
  * _muttconffiles: Use printf instead of echo (Alioth: #312163).
  * _parse_help, _parse_usage: If first arg is "-", read from stdin.
  * rpm: Add --delsign completion, don't suggest --resign (identical
    to --addsign).
  * _variables: New function split from _init_completion.
  * vi and friends: Fix /etc/ld.so.conf.d/* completion (Alioth:
    #312409).
  * New completions:
    - plague-client, desktop-file-validate, valgrind, ccache, iperf,
      koji, lzip, udevadm.

 -- David Paleino <d.paleino@gmail.com>  Sat, 07 Jan 2012 23:52:36 +0100

bash-completion (1.90)

  * bash-completion 2 preview: dynamic loading of completions.

  [ David Paleino ]
  * If _filedir 'ext' returns nothing, just fallback to generic file
    completion. It is optional, and off by default. Patch by Clint Byrum
    (Debian: #619014, LP: #533985)
  * Fix __get_cword_at_cursor_by_ref: check for $index when completing with a
    cword+1 argument already present (Debian: #622383)
  * Layout change: everything is now in /usr/share/bash-completion/, rather
    than in /etc/.
  * Get rid of BASH_COMPLETION_DIR, BASH_COMPLETION_HELPERS_DIR, BASH_COMPLETION
  * Fix autotools to use pkgdatadir instead of redefining datadir, get rid of
    helpersdir.
  * Implemented a blacklist for unwanted third-parties completions
  * New completions:
    - epdfview, lpr and lpq (Raphaël Droz), mysql (Raphaël Droz)
  * Improved completions:
    - ant: handle "extension-point" the same as "target" tag (Petr Kozelka,
      Alioth: #313105)
    - apt: add 'download' to subcommands (Debian: #625234, Ubuntu: #720541)
    - aptitude: add 'versions' command (Debian: #604393)
    - dpkg-query: use the 'dpkg' completion (Debian: #642526)
    - lintian: remove --unpack-level (Debian: #623680)
    - {shadow,coreutils}: fix broken _allowed_groups usage
    - rrdtool: complete filenames after commands (Debian: #577933)
    - sitecopy: fixed a bug with grep and brackets: use sitecopy -v to fetch
      sites (Raphaël Droz).

  [ Freddy Vulto ]
  * Improve __reassemble_comp_words_by_ref() (Alioth #313057)
  * Testsuite:
    - add -unsorted option to _get_hosts()

  [ Guillaume Rousse ]
  * Use $() for subshell, instead of backquotes
  * Use simple quotes for constant strings
  * Drop -o filenames, as suggested by Ville
  * New completions: puppet

  [ Igor Murzov ]
  * Abort completion file loading earlier if required commands are not
    available.
  * docs: Improve tester's manual
  * Make completions that use _command also work with file names
  * _command_offset: Restore compopts used by called command.
  * New completions:
    - pkgtool, makepkg, rmp2tgz, slapt-get, slapt-src, slackpkg, kcov, feh,
      xgamma, fbi, fbgs
  * Improved completions:
    - file: ddd few missing --exclude arguments completions
    - host, nslookup: Remove completions for bind utils from bash_completion.
    - {install,upgrade,explode}pkg: use -o plusdirs instead of -o dirnames
    - makepkg: should complete filenames
    - removepkg, upgradepkg, installpkg: add option completion
    - xrandr: Add more option completions.
    - overall clean up of different slackware-specific completions
  * Testsuite:
    - add basic tests for pkgtools, rpm2tgz, slapt, sbopkg, slackpkg
    - fix broken tests for finger and xhost
    - remove unused -expect-cmd-full option from assert_complete*

  [ Sergey V ]
  * New completions: sbopkg

  [ Ville Skyttä ]
  * Load completions in separate files dynamically, get rid of have()
  * Drop unnecessary $USERLAND checks
  * Try /usr/sbin before /sbin in have()
  * Try both full path and basename completions for sudo etc (Alioth: #313065)
  * Add _init_completion() for common completion initialization and generic
    redirection handling
  * Replace actual sysconfdir in bash_completion on install (Alioth: #313081)
  * Drop support for bash < 4.1
  * Drop no longer needed _compopt_o_filenames()
  * Drop no longer needed "type compopt" checks
  * docs: Update "simply sourcing" instructions to match new layout, check
    $PS1.
  * Get rid of bash_completion self-parsing from _filedir_xspec
    (RedHat: #479936).
  * Provide profile.d hook for per user disabling of bash_completion
    (Debian: #593835)
  * New completions:
    - a2x, arping, asciidoc, base64, cal, chrpath, cppcheck, curl, dmesg,
      dot, file, gnome-mplayer, gprof, hddtemp, host, htpasswd, idn, ionice,
      jps, lbunzip2, lbzip2, lbzcat, prelink, protoc, pwdx, pwgen, reptyr,
      sum (RedHat: #717341), watch
    - phing: reuse ant completion (Elan Ruusamäe, Alioth: #312910)
    - pinfo: reuse info completion
  * Improved completions:
    - bluez, e2fsprogs, grpck, java (Mattias Ulbrich), passwd, pwck, route,
      rsync, smartctl
    - ant: improve -lib, -find/-s, and -D argument completions; rewrite build
      target parsing in plain bash, add build file test case
    - aspell: add --add-filter|--rem-filter completions; get --mode completions
      from 'aspell modes' output
    - bzip2, gzip, python, sysbench: quote command argument to _parse_help()
    - chsh: use _allowed_users instead of plain compgen -u
    - cksfv: add -g argument completion
    - cpan2dist: don't hang if no package list files exist
    - crontab: use /sys/fs/selinux and /selinux instead of /etc/selinux to
      find out if SELinux is around
    - cvs: (diff) parse options from cvs diff instead of plain diff; drop -o
      default to fix CVS root completions; (commit) complete on entries
      instead of default if COMP_CVS_REMOTE is not set; improve CVS
      controlled file completions; add CVS controlled file completions for
      admin and update; list "primary" command names first in mode switch;
      recognize some additional commands and synonyms; add editors/watchers
      completion; sort mode completions alphabetically
    - freeciv: complete freeciv-* in addition to civclient/civserver
    - gdb: improve filename completion
    - gendiff: do file completion after output redirection
    - getent: add gshadow to known databases; allow multiple completions from
      same db, add option completion
    - info: add option completion support
    - ipsec (Tobias Brunner): drop uname check, add strongSwan specific
      completion with fallback, complete connection names for 'up', 'down' and
      other commands
    - jar: complete on *.sar (JBoss service archive)
    - java, javac: add -X* completions
    - javadoc: implement -linkoffline two argument completion
    - killall: activate completion on Darwin (Alioth: #312350)
    - (la)tex (Ted Pavlic): add *.dbj to filename completions (RedHat: #678122)
    - man: add option parsing and completion
    - modplug*: add more extensions for files supported by libmodplug
    - mutt: support tildes when recursively sourcing muttrc files
      (Debian: #615134); expand tilde in mutt query command (Alioth: #312759)
    - ntpdate: add some option argument (non)completions
    - oo{writer,impress,calc,draw} (Matej Cepl): complete  on LibreOffice
      FlatXML extensions (RedHat: #692548)
    - perldoc (Scott Bronson): override MANPAGER when generating perldoc
      completions (RedHat: #689180); don't parse man page when we know it'll
      produce no completions; use perldoc itself instead of man
    - pgrep: add option and option argument completions
    - rpm: make rpm --queryformat use more consistent; drop rpm query support
      for rpm < 4.1
    - rpmbuild: add --buildpolicy completion
    - rpmcheck: drop reference to undefined $files variable (Alioth: #313270)
    - screen: add _terms() and -T completion; add commands completion
      (Alioth: #312164, RedHat: #547852)
    - _services: avoid bogus completions when init or xinetd dirs exist but are
      empty; include systemd services
    - smartctl: fix short alternative for --tolerance
    - ssh, scp, sftp, ssh-copy-id: add some option argument (non)completions
    - strace: don't append space for -e *= completions; don't try to extract
      syscall names if they're not going to be used; rewrite arch specific
      syscall extraction in plain bash
    - svn*: don't suggest short options
    - tar: fix completion of files inside *.tar.bz2 archives when [Ijy] is not
      given; added option completions; improve tar *[cr]*f completions
      (Debian: #618734)
    - unzip: complete on *.sar (JBoss service archive)
    - xmllint, xmlwf: complete on *.tld (tag library descriptor)
    - xmlwf: add -v non-completion
    - xmms: add some option argument completions
    - xz: apply xz completion to pxz too; non-complete
      --memlimit{,-compress,-decompress}
  * Testsuite:
    - add basic tests for gendiff, mdadm, puppet, xzdec, mii-diag, mii-tool,
      grpck, passwd, pwck, samba, rdesktop, fusermount, tcpdump, l2ping,
      ssh-copy-id, postfix, qemu, ldap*, medusa, mdtool, monodevelop,
      msynctool, cfagent, lpr, lpq, mysql, nslookup, compare, conjure,
      import, stream
    - fix tests for ri
    - fix get_hosts option docs.
    - add test case for Debian: #622383.
    - add chown foo: and :foo test cases, should complete files
      (RedHat: #710714)

 -- David Paleino <d.paleino@gmail.com>  Thu, 03 Nov 2011 09:53:55 +0000

bash-completion (1.3)

  [ Guillaume Rousse ]
  * added pure-perl perldoc completion helper, using work from Aristotle
    Pagaltzis (pagaltzis@gmx.de)
  * added completions for xfreerdp and iscsiadm
  * updated xm subcommands list

  [ David Paleino ]
  * Fixed "service" completion, thanks to John Hedges (Debian: #586210)
  * Complete on all files for mplayer's -dvd-device
  * Fixed typo in openssl completion (Debian: #609552)

  [ Ville Skyttä ]
  * Activate hping2 completion also for hping and hping3.
  * Add badblocks, compgen, crontab, dumpe2fs, e2freefrag, e2label, ether-wake,
    filefrag, gendiff, growisofs, iftop, ip (Debian: #600617), javaws, kid3,
    lrzip, lsof, mktemp, portecle, POSIX sh, sha{,224,256,384,512}sum,
    sysbench, tune2fs, xmodmap, and xrdb completions.
  * Add *.gif (Alioth: #312512), *.m2t (Alioth: #312770), *.3gpp, *.3gpp2,
    *.awb, and *.iso (Alioth: #311420) to mplayer filename completions.
  * Add "short" tarball extensions to unxz, unlzma etc completions.
  * Improve /etc/init.d/*, ipmitool, jar, java, javadoc, man, mencoder, mkdir,
    mplayer, pack200, povray, python, rpmbuild, sqlite3, tar, wodim, and
    general help parsing completions.
  * Fix p4 and povray completions (Alioth: #312625).
  * Add *.xsd, *.xsl, *.rng, *.wsdl, and *.jnlp to xmllint and xmlwf filename
    completions, and *.gz versions of all of the supported ones for xmllint.
  * Recognize rpm query mode based on the --file, --group, --package, and
    --all long options (RedHat: #630328).
  * Improve rpm query option completions.
  * Drop bad kompare filename completion (Alioth: #312708).
  * Make _filedir and _filedir_xspec complete uppercase versions of their
    filename extension arguments in addition to exact case matches.
  * IPv6 known hosts completion fixes (Alioth: #312695, RedHat: #630658).
  * Fixes to completions for filenames containing tabs (RedHat: #629518).
  * Add *.iso (Alioth: #311420), *.m2t and *.m2ts (Alioth: #312770) to
    xine-based player filename completions.
  * Add /etc/ethers to MAC address completion sources.
  * Add *.gem and *.spkg to tar filename completions.
  * Complete known hosts from avahi-browse only if $COMP_KNOWN_HOSTS_WITH_AVAHI
    is non-empty (Alioth: #312691, RedHat: #630326).
  * Improve relevance of many user/group completions, depending on context.
  * Remove most "-o filenames" options to "complete", turn "-o filenames" on
    dynamically when needed instead.
  * Add/improve various autotools completions.
  * Add *.apk to unzip and jar filename completions.
  * Do not load bash_completion in profile.d script if progcomp is not enabled.
  * Ignore muttrc source entries that are not files (Alioth: #312881).
  * Re-enable postgresql database and user completion (Alioth: #312914,
    Ubuntu: #164772).
  * Add *.fdf to various PDF viewer completions.

  [ Freddy Vulto ]
  * Added _tilde(), fix ~username completion (Alioth: #312613, Debian: #587095)
  * Speed up `compopt' availability detection
  * Fix _filedir `-o filenames' detection on bash-3 (Alioth: #312646)
  * Fix __reassemble_comp_words_by_ref (Alioth #312740)

  [ Anton Khirnov ]
  * Improve mplayer and mencoder completions.

  [ Paul Walmsley ]
  * Add *.webm to mplayer file completions (Debian: #588079).

  [ Miklos Vajna ]
  * Add *.amr to mplayer file completions (Alioth: #312634).

  [ Andrej Gelenberg ]
  * Add *.part (partially downloaded) to mplayer and xine-based player
    completions (Alioth: #312657).

  [ Stephen Gildea ]
  * Fix false posives for non-option words in _parse_help (Alioth: #312750).

  [ Andrey G. Grozin ]
  * Add *.fb2 to okular filename completions.

 -- David Paleino <d.paleino@gmail.com>  Sun, 06 Feb 2011 19:03:46 +0100

bash-completion (1.2)

  [ David Paleino ]
  * Don't use pidof in _known_hosts_real() to detect whether Avahi is
    available, since it's not available on MacOS X. Thanks to Rainer
    Müller <raimue@codingfarm.de> (bash-completion MacPorts maintainer)
  * Fixed "freq" and "rate" completion for iwconfig
  * contrib/munin-node fixed (Debian: #550943)
  * contrib/dpkg fixed -W and --show completing on .?(u)deb's (Debian: #552109)
  * contrib/aptitude: add @(add|remove)-user-tag
  * Added munindoc completion to contrib/munin-node, thanks to Tom
    Feiner (Debian: #553371)
  * Added colordiff completion, same as diff
  * contrib/cpio: added missing completions for -?, --help, --license, --usage,
    --version and (-p) --to-stdout (Debian: #557436)
  * Style policy: don't use fancy globbing in case labels
  * Added .fdf completion to okular and evince
  * Added .okular completion to okular (Debian: #545530)
  * Added lintian completion
  * Refreshed reportbug completion, added --from-buildd (Debian: #579471)
  * Special-case "apt-get source" (Debian: #572000)
  * Added lintian completion (Debian: #547361)
  * contrib/dpkg: update completion to current API
  * Styleguide: establish line wrapping and $() instead of ``

  [ Ville Skyttä ]
  * Create bz2 dist tarball too.
  * Include CHANGES in dist tarball.
  * Include profile snippet in tarball, install it.
  * Rename contrib/bluez-utils to contrib/bluez to follow bluez 4.x naming.
  * Apply cardctl completion to pccardctl too.
  * Apply pine completion to alpine too.
  * Remove many unnecessary short option completions where long ones exist.
  * Improve chsh, chgrp, chown, configure, curl, cvs, find, gkrellm, gzip,
    iconv, lftp, look, lzma, make, man, mdadm, modprobe, mount, mplayer,
    mysqladmin, perldoc, rsync, screen, service, scp, ssh, sshfs, unzip,
    update-alternatives, vncviewer, wget, yp-tools, xine based players' and
    general hostname completions.
  * Add abook and wtf completion, based on work by Raphaël Droz.
  * Add cvsps, dragon, fusermount, jarsigner, k3b, lftpget, modplug123,
    pm-utils, rtcwake, pack200, unpack200, pbzip2, pbunzip2, pbzcat, pigz,
    unpigz, and wol completions.
  * Don't overwrite other host completions when completing from multiple
    SSH known hosts files.
  * Speed up installed rpm package completion on SUSE, based on work by
    Marco Poletti (Alioth: #312021).
  * Improve sourcing snippets from completion dirs.
  * Drop support for bash < 3.  The compatibility global variables $bashN,
    $default, $dirnames, $filenames, $compopt, $nospace, $bashdefault, and
    $plusdirs have been dropped too.  3rd party completions should switch
    to using the complete/compgen features directly, and BASH_VERSINFO
    for bash version checks.
  * Protect various completions from unusual user input by not embedding the
    input in external command arguments (Debian: #552631).
  * Add /sbin to $PATH when invoking ifconfig and iwconfig.
  * Combine dcop and qdbus completions into the latter.
  * awk and sed usage portability fixes (Alioth: #311393, Debian: #501479).
  * Fix leaking local variables from various completions.
  * Turn on -o filenames in _filedir on bash >= 4.
  * Deprecate modules completion, upstream modules >= 3.2.7 ships one.
  * Protect grep invocations from user aliases (Alioth: #312143).
  * Split sshfs completion from contrib/ssh into contrib/sshfs.
  * Split mount and umount completion into contrib/mount.
  * Split service completion into contrib/service.
  * Split chown, chgrp, and id completions into contrib/coreutils.
  * Split kill, look, and renice completions into contrib/util-linux.
  * Split killall, pkill, pgrep and related completions into contrib/procps.
  * Split ipsec completion into contrib/ipsec.
  * Split ifup and ifdown completions into contrib/ifupdown.
  * Do basic HTML file completion with Firefox and Chrome and friends,
    and Epiphany.
  * Do basic diff/patch completion with cdiff and kompare.
  * Don't install mock completion by default, it's in upstream mock > 1.1.0.
  * Do basic text editor completion with xemacs, sxemacs, kate, and kwrite.
  * Do meta-command completion for aoss and padsp.

  [ Freddy Vulto ]
  * Prevent root PATH expansion prolifering in _root_command (bash >= 4.1.4)
  * Only complete xhost if (_)xhost is available.
  * Added _get_comp_words_by_ref to replace both _get_cword & _get_pword.
    Also additional variables `words' and `cword' can be returned.
  * Added _upvar & _upvars helper functions to aid in passing variables
    by reference.
  * Make _filedir emulate `-o filenames'
  * Fixed completion perl modules containing colons.
  * Merged __get_cword3 & __get_cword4 to _get_cword.
  * Added __expand_tilde_by_ref helper function.
  * Added __ltrim_colon_completions to fix completions containing colons
  * Improved mutt completion
  * Added _get_pword helper function, thanks to Sung Pae (Alioth: #312030)

  [ Ted Stern ]
  * Fix modules completion for "(default)" entries.

  [ Jeremie Lasalle Ratelle ]
  * Fix rsync remote path completion (Alioth: #312173, Gentoo: #297818).

  [ Leonard Crestez ]
  * Improve ssh -o suboption completion (Alioth: #312122).
  * Fix NFS mounts completion (Alioth: #312285).
  * Fix completion of usernames (Alioth: #311396, Debian: #511788).
  * Fix chown test crashing on systems with no root group (Alioth: #312306).
  * Fixed tests when BASH_COMPLETION or TESTDIR contain spaces.
  * Fix mount handling of escapes (Alioth: #311410, Launchpad: #219971,
    Debian: #511149).
  * Cleanup scripts to run tests. Make runUnit and runCompletion use test/run.
    Make it possible to run tests from any directory.
  * Add a --debug-xtrace option to test/run using BASH_XTRACEFD from bash-4.1.
  * Add a --timeout option to test/run to override the default expect timeout.

  [ Raphaël Droz ]
  * Add xsltproc completion (Alioth: #311843).

  [ Adrian Friedli ]
  * Add ipv6calc completion.

  [ Ildar Mulyukov ]
  * Add showmount completion (Alioth: #312285).

  [ Neville Gao ]
  * Fix mount completion error "bash: [: too many arguments" (Alioth #312381).

  [ Austin English ]
  * Make lookup of wine file completions case insensitive.

  [ Igor Murzov ]
  * Improve xz completion (Alioth: #312466).

  [ Mario Schwalbe ]
  * Update find completion (Alioth: #312491, Launchpad: #570113).

  [ Mark van Rossum ]
  * Add basic lyx completion.

 -- David Paleino <d.paleino@gmail.com>  Wed, 16 Jun 2010 17:44:59 +0200

bash-completion (1.1)

  [ David Paleino ]
  * Permit .gz files concatenation (Debian: #514377)
  * Fix svk completion using $filenames instead of $default (Debian: #524961)
  * Really add build-dep to aptitude's completion (Debian: #495883)
  * Fix checks for GNUish userland, thanks to Robert Millan (Debian: #529510)
  * Fix typo in .ass subtitles completion for mplayer (Debian: #531337)
  * Fix regression on man(1) completion: also complete on local .3pm files
    (Debian: #531343)
  * Split mutt completion to contrib/mutt
  * Split iconv completion to contrib/iconv
  * Split dict completion to contrib/dict
  * Split {update,invoke}-rc.d completions to contrib/sysv-rc
  * Don't install _subversion anymore, upstream completion is better than
    ours. Added to EXTRA_DIST in Makefile.am
  * Split autorpm completion to contrib/autorpm
  * Split jar completion to contrib/jar
  * Split chkconfig completion to contrib/chkconfig
  * Split chsh completion to contrib/chsh
  * Split apt_build completion to contrib/apt-build
  * Split aptitude-related completions to contrib/aptitude
  * Split apt-cache and apt-get completions to contrib/apt
  * Split rpm-related completions to contrib/rpm
  * Split cvs-related completions to contrib/cvs
  * Split man completion to contrib/man
  * Split bash builtins completions to contrib/bash-builtins
  * Split dpkg-related completions to contrib/dpkg (and re-enable usage
    of grep-status if available)
  * Split gcc completion to contrib/gcc
  * Split dselect completion to contrib/dselect
  * Split cardctl completion to contrib/cardctl
  * Split pineaddr completion to contrib/pine
  * Added avahi-discovered hosts to _known_hosts_real() (Debian: #518561)
  * Added m4v completion to mplayer (Debian: #504213)
  * Improve qemu completion (Debian: #534901)
  * Added sshfs completion (shares the same as scp) (Debian: #545978)
  * Fixed obvious brokenness (typos) in contrib/mdadm
  * Clean [1.2.3.4]:port format in known_hosts, thanks to
    Xuefer (Gentoo: #284563)
  * Added --no-generate to "apt-cache pkgnames" calls, make it faster
    on certain configurations (Debian: #547550)
  * Split okular from evince filename extension completion, needed to add
    okular-specific completions: xps, epub, odt, fb, mobi, g3 and chm.
    Also, okular can read any of its formats also in .gz/.bz2 compressed
    format, so change the regular expression to match this.
  * Remove --with-suggests and --without-suggests from aptitude completion
  * Patches from PLD Linux (thanks to Elan Ruusamäe):
    - avoid sed pipe as ps itself can omit the headers
    - improve service(8) completion, also look for "msg_usage"

  [ Ville Skyttä ]
  * Split yum completion to contrib/_yum (no longer installed by default, the
    intent is to move it to yum upstream soon).
  * Split yum-arch completion into contrib/yum-arch, load completion only if
    yum-arch is installed.
  * Update list of yum commands and options.
  * Add yum repolist, --enable/disablerepo, --disableexcludes, -d, -e, --color,
    and --enable/disableplugin completions.
  * Add chkconfig --override and resetpriorities completions.
  * Split mplayer and friends completions to contrib/mplayer.
  * Parse top level mplayer and friends option completions from -list-options.
  * Fix dir-only completion for make to include only dirs, not files.
  * Remove unused variable RELEASE.
  * Improve aspell dictionary completion: don't hardcode data-dir, get
    canonical dicts from "aspell dicts".
  * Always use /etc/shells for chsh -s completion, don't complete on comment
    lines in it.
  * Fix rpm --whatrequires/--whatprovides completions with spaces and other
    unusual characters, add filename based --whatrequires completions.
  * Add modplugplay filename completion.
  * Add more mod-like audio file extensions for xine-based players and timidity.
  * Complete on plain alternatives like update-alternatives.
  * Rename installed_alternatives() to _installed_alternatives().
  * Add /etc/pki/tls/openssl.cnf to list of default openssl config files,
    search for default ones only if -config is not given.
  * Use POSIX compliant arguments to tail in mkisofs completion.
  * Protect various completions from unusual user input by not embedding the
    input in external command arguments.
  * Add _split_longopt() helper for improved handling of long options that
    take arguments in both "--foo bar" and "--foo=bar" formats.
  * Use _split_longopt to improve and clean up aspell, bluez-utils, chgrp,
    chown, chkconfig, cpio, dpkg, heimdal, iptables, mailman, make, mc,
    mii-diag, mii-tool, mkinitrd, pkg-config, postgresql, quota, reportbug,
    samba, smartctl, yum, and generic long option completion (Alioth: #311398).
  * Add chown --from and --reference value completions.
  * Add chgrp --reference value completion.
  * Do not assume all --foo= options take filenames in generic long option
    completion, assume only that --*file*= does, and that --*dir*= takes dirs.
  * Add make --old/new-file, --assume-old/new, --what-if value completions.
  * Add smartctl -n/--nocheck completion, add more other value completions.
  * Fix leaking $prev from cpio, dsniff, freeciv, gkrellm, mkinitrd, service,
    and tcpdump completions.
  * Split ant completion to contrib/ant, improve the built in one.
  * Improve postfix completion.
  * Improve samba completion.
  * Split lilo completion to contrib/lilo.
  * Split reportbug and querybts completions to contrib/reportbug.
  * Remove debug output noise from quotaon completion.
  * Split Linux wireless tools completion to contrib/wireless-tools.
  * Add mock completion.
  * Split FreeBSD kld(un)load completion to contrib/kldload.
  * Split FreeBSD pkg_* completion to contrib/pkg_install.
  * Split FreeBSD portupgrade and friends completion to contrib/portupgrade.
  * Split Slackware pkgtools completion to contrib/pkgtools.
  * Improve rpm group completion (displayed completions are still wrong).
  * Change many completions to load in memory only if the completed commands
    are available.
  * Invoke the actual mplayer/mencoder command being completed (with full path)
    to get various completions instead of simply "mplayer" or "mencoder".
  * Associate OOXML/MS Office 2007 extensions with OpenOffice applications.
  * Associate .tsv with oocalc.
  * Add xmlwf completion.
  * Associate *.po with poedit, gtranslator, kbabel, and lokalize.
  * Add xz, xzcat, xzdec, and unxz completion.
  * Add lzcat, lz*grep, lzless, lzmore, and unlzma completion.
  * Load "modules" completion if /etc/profile.d/modules.sh exists even if
    the "module" alias has not been defined (yet).
  * Add *.ogv to xine-based players (Debian: #540033).
  * Add $compopt (":" i.e. no-op with bash < 4, "compopt" with >= 4).
  * Complete bzcat and zcat only on compressed files.
  * Do not require a dot in bzcmp, bzdiff, bz*grep, zcmp, zdiff, z*grep, zless,
    and zmore filename completions.
  * Add xz and compress support and more tarball filename extensions to
    rpmbuild -t*/--tarbuild completion.
  * Don't hardcode path to lsmod.
  * Fix sbcl file/dirname completion (Debian: #545743).
  * Add /sbin to $PATH when invoking lspci and lsusb.
  * Support .xz suffix in info page completions.
  * Prevent rpm --define/-D completions from falling through.
  * Add more common options to rpm option completions.

  [ Todd Zullinger ]
  * Make yum complete on filenames after install, deplist, update and upgrade
    when the following argument contains a slash.

  [ Mike Kelly ]
  * Fix _filedir on bash 4.
  * Add support for xz to tar completion.
  * Fix _quote_readline on bash 4 (Debian: #544024).

  [ Guillaume Rousse ]
  * Split mkinitrd completion to contrib/mkinitrd, improve it.
  * Split smartctl completion to contrib/smartctl.
  * Better ssh and sftp completion
  * Better xhost completion
  * Split _known_hosts completion in two parts, to avoid parsing command line
    twice
  * Added strace completion
  * Added xm completion
  * Added rpcdebug completion
  * Added msynctool completion
  * Added openldap completion
  * Added ldapvi completion
  * Added heimdal completion
  * Added vpnc completion
  * Added rpmcheck completion
  * Added munin-node completion
  * Added bluez-utils completion
  * Added samba completion
  * Added cfengine completion
  * Added xmllint completion, contributed by Ville
  * Added shadow completion, contributed by Ville
  * Added repomanage completion, contributed by Ville
  * Splitted and enhanced openssl completion
  * Added rfkill, mdadm and resolvconf completions

  [ Raphaël Droz ]
  * Add mount -L and -U completion.

  [ Philipp Weis ]
  * Add .dvi.{gz,bz2} completion for evince/okular (Debian: #522656)

  [ Freddy Vulto ]
  * Patched _known_hosts() to support multiple {Global,User}KnownHosts in SSH
    config files, thanks to Thomas Nilsson (Alioth: #311595) (Debian: #524190)
  * Fix leaking $i from info, man and python completions.
  * Added setting COMP_KNOWN_HOSTS_WITH_HOSTFILE. _known_hosts_real() will add
    hosts from HOSTFILE, unless COMP_KNOWN_HOSTS_WITH_HOSTFILE is set to an
    empty value (Alioth: #311821)
  * Quoted $cur to prevent globbing - thanks to Eric Blake (Alioth #311614)
  * Fix leaking $muttcmd from mutt completion
  * Fix completing multiple hosts (Debian: #535585)

  [ Michele Ballabio ]

  * Add more extensions to pkgtools completion.

 -- David Paleino <d.paleino@gmail.com>  Sat, 03 Oct 2009 15:41:49 +0200

bash-completion (1.0)

  [ Guillaume Rousse ]
  * Make bibtex complete on .aux files
  * Add .xvid and .XVID to player completion
  * Added cowsay/cowthink completion
  * Added brctl completion
  * Added cpan2dist completion
  * Added qemu completion
  * Added net-tools (mii-tool and mii-diag) completions
  * Added minicom completion
  * Added quota-tools completion
  * Added rdesktop completion
  * Added tightvncviewer completion
  * Cleanup screen completion, and make it completes on options

  [ David Paleino ]
  * Added .kar to Timidity completion.
  * Fix killall completion, remove trailing ":" on certain process
    names
  * Fix man -l completing filenames (Debian: #497074)
  * (Partly) fixed java classes completion (Debian: #496828). Look for
    FIXME in source.
  * Dump to /dev/null error message from look(1) with no arguments
    (Debian: #495142)
  * Set ssh as default for rsync (was rsh) (Debian: #492328)
  * Added .oga, .ogv, .ogx to mplayer completion (Debian: #496162)
  * Added .epub to unzip|zipinfo completion (Debian: #492476)
  * Added ssh-copy-id completion (Debian: #491856)
  * Moved ssh completion to separate file (Debian: #360628)
  * Bogus completion when mounting subdirs fixed (Debian: #322238)
  * Fix `apt-cache showsrc` completing only on source package names
    (Debian: #361535)
  * Fixed bugs with gdb completion:
    - when an empty directory is in $PATH (thanks to Morita Sho)
      (Debian: #497597)
    - when a non-existing directory is in $PATH (Debian: #499780)
  * Fix missing completion for "-n" and "-e" (we were using echo, now
    using printf) (thanks to Morita Sho) (Debian: #498105)
  * Fixed gpg completion:
    - --@(export|@(?(l|nr|nrl)sign|edit)-key)) (Debian: #500316)
    - -@(r|-recipient))
  * Fixed .cb[rz] completion for evince (Debian: #502885)
  * Added gksudo, gksu, kdesudo completion
  * Added apache2ctl completion
  * Added gpg2 completion (Debian: #489927)
  * Fixed mplayer -skin completion (Debian: #501473)
  * Fixed errors with POSIX enabled (Debian: #502804)
  * Fixed dpkg-source wrong exit() with return() (Debian: #)
  * Added --schedule-only to aptitude's completion (Debian: #502664)
  * Added build-dep to aptitude's completion (Debian: #495883)
  * Added support for `-F configfile' to _known_hosts(), ssh, scp and
    sftp, thanks to Freddy Vulto (Debian: #504141)
  * Fixed sed quoting bug in _known_hosts(), thanks to Freddy Vulto
    (Debian: #504650)
  * Allow `Host(Name)' in ssh config file to be indented
  * Allow `Host(Name)' in ssh config file to have trailing comment.
  * Allow for comments in known_hosts files (Debian: #511789)
  * Fixed perl -I/-x completion, thanks to Freddy Vulto
    (Debian: #504547)
  * README updated: explain how to use bash-completion correctly.
    (Debian: #506560)
  * TODO updated: the Alioth team is now upstream.
  * Added qdbus completion, thanks to Terence Simpson (Ubuntu: #257903)
  * Added monodevelop and mdtool completions.
  * Split subversion-related completions to contrib/_subversion
    (prefixed with _ to avoid file conflicts with upstream's one)
  * Fixed completion of environment variables, thanks to Morita Sho
    (Debian: #272660)
  * Fix dpkg completion bug: it listed only non-Essential packages
    (Debian: #511790)
  * Fixed _dpkg_source completion (Debian: #503317)
  * Added _parse_help() to try to parse options listed in $command
    --help
  * Fixed gzip completion to use _parse_help(), since the available
    options vary with distributions
  * Added to_review/ directory, where completions needing a review would
    go. After it gets accepted, the completion would go into contrib/.
  * Remove unused UNAME local variable in _info() (Debian: #501843)
  * AUTHORS added
  * Make _alias() use _get_cword
  * Added .zip to jar completions (Debian: #521041)
  * Merge from Gentoo:
    - fix 'find' completion so that it properly completes on -?(i)whilename.
      Patch by Ciaran McCreesh.
    - use make -qp to parse the Makefile for us, so we get proper completion
      on things like pattern rules. Patch by Mike Kelly <pioto@exherbo.org>.
    - complete on gkrellm2 as well. Patch by Aaron Walker.
    - fix CVS completion
  * Merge from Ubuntu:
    - consume error messages in configure completion (Ubuntu: #223882)
      (Mika Fischer)
    - quote $xspec in _filedir_xspec in case it is empty, which would
      cause errors if there was no match under failglob. (Ubuntu: #194419)
      (Mika Fischer)
  * debian/links fixed (Debian: #494292)
  * debian/control:
    - fixed typo in the long description
    - added Vcs-* fields
  * debian/install:
    - correctly install contrib/* under /etc/bash_completion.d/
  * debian/copyright updated
  * extra/dh_bash-completion:
    - updated to support a list of files in debian/<package>.bash-completion
      (Debian: #512917)

  [ Ville Skyttä ]
  * Added JPEG 2000 files to display completion, thanks to Bastien Nocera
    (RedHat: #304771)
  * Improved rpm macro completion.
  * Added -E to rpm completion.
  * Improved rpm backup file avoidance.
  * Improved /var/log/rpmpkgs based rpm installed package completion.
  * Improved performance of rpm -qa based rpm installed package completion.
  * Improved features and performance of yum completion.
  * Added support for p (POSIX) and x (x.org) man sections.
  * Improved filename based man page completion.
  * Added minimal sqlite3 completion.
  * Improved getent completion (Ville Skyttä, Guillaume Rousse).
  * (Re)fix gzip and bzip2 options completion.
  * Improved svn filename completion (RedHat: #430059).
  * Add lzma completion (Per Øyvind Karlsen, Ville Skyttä).
  * Add .mp2 and .vdr to mplayer completion (RedHat: #444467).
  * Add .mkv, .mp2 and .vdr to *xine completion (RedHat: #444467).
  * Added lzop completion.
  * Fix scp metacharacter escaping.
  * Remove duplicate cpio completion, thanks to Freddy Vulto (Debian: #512823)
  * Fix awk error in "modprobe -r /" completion (Debian: #512556).
  * Expand ~foo to dir name more eagerly to avoid quoting issues.
  * Fix -sourcepath handling in javadoc packages completion.
  * Extract process name completion from _killall to _pnames, make it work
    for others than Linux and FreeBSD.
  * Fix process name completion with relative paths (RedHat: #484578).
  * Use improved process name completion in pgrep in addition to killall.
  * Enable pgrep and pkill completion if the commands are available, not just
    on Linux and FreeBSD.
  * Drop hg completion, an improved version is shipped with Mercurial
    (contrib/bash_completion in the tarball).
  * Make okular complete on same files as evince, thanks to Mary Ellen Foster
    (RedHat: #486998).
  * Apply ps2pdf completion to ps2pdf{12,13,14,wr} too.
  * Simplify bash_completion.sh, return earlier in non-applicable environments.
  * Remove obsolete --buildarch and --buildos rpm(build) completions.
  * Add rpmbuild --target completion.
  * Use "-profile help" to get mplayer and friends -profile completions.
  * Fix local array initialization under bash 3.0, prevents "()" occurring in
    file and dir name completions.

  [ Freddy Vulto ]
  * Restored `_display()' completion for `display' by removing
    completion-by-extension for `display' (Alioth#311429)
  * Removed duplicate completion option `-borderwidth' for `display'
  * Prevent completion dir from being sourced twice if
    BASH_COMPLETION_DIR and BASH_COMPLETION_COMPAT_DIR are equal (Alioth#311433)
  * Make `_mii-tool()' and `_mii-diag()' POSIX-compliant
  * Fix _isql completion waiting for grep input if $ODBCINI not set; handle
    whitespace in $ODBCINI.
  * Split vncviewer completion in _tightvncviewer() and _xvnc4viewer()
    Added _realcommand() global function.

  [ Jakob Unterwurzacher ]
  * ps2pdf can run on .pdf files as well. (Debian: #516614, Ubuntu: #316943)

  [ Santiago M. Mola ]
  * Add .ape to mplayer supported extensions (Alioth#311510).

 -- David Paleino <d.paleino@gmail.com>  Wed, 25 Mar 2009 23:18:24 +0100

bash-completion (20080705) unstable; urgency=low

  [ David Paleino ]
  * Added more completions to imagemagick (thanks to Nelson A. de
    Oliveira) (Debian: #487786)
  * Added xrandr completion (thanks to Anton Khirnov) (Debian: #487825)
  * Improving _gdb completion:
    - $filenames to $default (Debian: #463969)
    - also show directory names (i.e. compgen -d) in COMPREPLY.
    - added . to $PATH, to allow debugging "local" executables.
    - do not complete Bash's builtins (thanks to Morita Sho)

  [ Luk Claes ]
  * Remove use of ucf for /etc/bash-completion (Debian: #488171).

 -- Luk Claes <luk@debian.org>  Sat, 05 Jul 2008 16:14:15 +0200

bash-completion (20080617.5) unstable; urgency=medium

  * Revert way of setting environment variables (Debian: #487774).
  * Add equals sign to _get_cword for mutt_aliases (Debian: #482635).
  * Enhance mlayer completion (Debian: #487826, #487838).

 -- Luk Claes <luk@debian.org>  Tue, 24 Jun 2008 19:50:57 +0200

bash-completion (20080617.4) experimental; urgency=low

  [ David Paleino ]
  * Merged Ubuntu changes:
    - added quote(), quote_readline(), dequote() helper functions.
    - added _remove_word()
    - fixed _get_cword()
    - refactored _filedir using quote_readline()
    - refactored _filedir_xspec using quote_readline()
    - fixed COMPREPLY's in _iwconfig
    - fixed _cvs()
    - _known_hosts(): use files from UserKnownHostsFile options in
                      addition to standard ones.
    - fixed _command() to correctly prune the command line
    - disabled completion of PostgreSQL users and databases (Ubuntu: #164772)
    - fixed _java_packages()
    - fixed _muttquery()
    - added flv/FLV completion to mplayer
    - added --installed to apt-cache
    - only complete on filenames for aspell
    - fixed code for exclusions compspecs
    - added code to gracefully handle debug options (set +/-v)

 -- Luk Claes <luk@debian.org>  Mon, 23 Jun 2008 19:25:25 +0200

bash-completion (20080617.3) unstable; urgency=low

  [ David Paleino ]
  * Fixed IFS for filedir_xspec - Thanks to Stefan Lippers-Hollmann
    (Debian: #487571)

  [ Luk Claes ]
  * Install dh-bash-completion to ease installation of completions.

 -- Luk Claes <luk@debian.org>  Mon, 23 Jun 2008 07:24:21 +0200

bash-completion (20080617.2) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
    - provide a manpage for extra/dh_bash-completion
    - fix semi-serious problem with _filedir() (Debian: #487449)
  * debian/rules:
    - added rule to generate dh_bash-completion's manpage
  * debian/install, debian/dirs:
    - installing dh_bash-completion into /usr/bin
  * debian/control:
    - new package dh-bash-completion

  [ Luk Claes ]
  * Comment new package to make sure current fix gets in the archive first.
  * Add compression completion for vi(m).

 -- Luk Claes <luk@debian.org>  Sun, 22 Jun 2008 19:47:23 +0200

bash-completion (20080617.1) unstable; urgency=medium

  [ David Paleino ]
  * Urgency set to medium because the package is currently unusable.
  * New upstream sub-release
    - fixed some typos here and there which prevented bash completions
      at all (Debian: #487441).
    - really closing Debian bug #455510.

 -- Luk Claes <luk@debian.org>  Sun, 22 Jun 2008 00:22:53 +0200

bash-completion (20080617) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
    - add more completions to aptitude (Debian: #432289)
    - fixed UTF-8 problem with _get_cword(), thanks to
      Andrei Paskevich (Debian: #472132)
    - fixed autoremove completion, thanks to Flavio Visentin
      (Debian: #474974)
    - cmf and CMF added to playmidi completion (Debian: #365658)
    - added rrdtool completion, thanks to Justin Pryzby (Debian: #428641)
    - added OpenDocument completion for unzip/zipinfo (.od{f,g,p,s,t})
      (Debian: #472940)
    - fixed escaping problems with job control (i.e. disown, jobs, bg,
      fg): the argument is now surrounded by "" (Debian: #347316)
    - make mkdir complete also on filenames (Debian: #376433)
    - {bz,z}{cat,cmp,diff,egrep,fgrep,grep,less,more} now should complete
      on all filenames, not just compressed archives (just commented out)
      (Debian: #455510)
    - fixes Perl completion (Debian: #470742)
    - fixes get_cword -> _get_cword typo (Debian: #478596)
    - fixes _get_cword() function to properly handle filenames with
      whitespaces (Debian: #394636, #468254, #474094)
    - added .pdf.bz2 completion to evince (Debian: #424736)
    - added .svg completion to display (Debian: #441017)
    - added .m2ts completion to mplayer (Debian: #480879)
    - added extra/dh_bash-completion to ease future rewrite of bc.
  * debian/copyright - now in a fancier machine-parsable format.
  * debian/control:
    - added myself to Uploaders
    - debhelper Build-Depends updated to >= 6.
  * debian/watch:
    - improved current watch line regex
    - added (commented out) probable future watch line
  * debian/compat bumped to 6
  * debian/dirs, debian/install and debian/links added
  * debian/rules:
    - refactored to make use of debian/{dirs,install,links}

  [ Steve Kemp ]
  * Applied patch to fix completion of umount command.
    (Debian: #470539)
  * Fixed the completion of Perl manpages.
    (Debian: #404976)
  * Added 'aif' to the filenames offed for completion for mplayer.
    (Debian: #474517)
  * Allow tsocks completion.
    (Debian: #409423)
  * Update mutt completion to handle local usernames.
    (Debian: #416655)
  * Update apt-get completion to include the flag "--no-install-recommends"
    (Debian: #475242)

 -- Luk Claes <luk@debian.org>  Sat, 21 Jun 2008 21:59:43 +0200

bash-completion (20060301-4) unstable; urgency=low

  * Add some fixes from Ubuntu:
  * Fix completion of filenames with spaces (Debian: #468254).
  * Fix parsing of SSH config files (Debian: #435117).
  * Change priority to standard (Debian: #471666).
  * Add some more completions for xine (Debian: #452083, #471249).
  * Fix completion of gzip (Debian: #351913).
  * Also use $HOSTFILE in hostname completion (Debian: #400380).

 -- Luk Claes <luk@debian.org>  Sat, 22 Mar 2008 23:10:30 +0000

bash-completion (20060301-3) unstable; urgency=low

  * Fix kpdf completion (Debian: #468163, #413374).
  * Fix completion of - or -- with _command (Debian: #415276).
  * Add sux to the complete -u list (Debian: #466089).
  * Add dvipdfm to the list of dvi programs (Debian: #396644).
  * Add --purge-unused option completion for aptitude (Debian: #438471).
  * Add divx extension completion for mplayer (Debian: #444294).
  * Add pdf.gz completion for evince (Debian: #456887).
  * Add --remove-all completion for update-alternatives (Debian: #269173).

 -- Luk Claes <luk@debian.org>  Wed, 05 Mar 2008 22:57:27 +0100

bash-completion (20060301-2) unstable; urgency=low

  * Take over the package.

 -- Luk Claes <luk@debian.org>  Wed, 27 Feb 2008 19:22:03 +0100

bash-completion (20060301-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2008 23:18:20 +0100

bash-completion (20060301-0ubuntu2) hardy; urgency=low

  * Replace bash (<< 3.1dfsg-9), handle upgrade in preinst.
  * Exclude hashed hostnames from ssh host completion results. Debian: #428085.
  * Fix: ifup/down don't really complete. Debian: #463756.
  * Allow perl completion to complete filenames, complete -I and -x arguments.
    Debian: #443394.
  * Add find -wholename completion. Debian: #431220.
  * Handle whitespaces in $HOME for _known_hosts() completion. Debian: #414821.
  * dpkg -L: complete for removed-but-not-purged packages. Debian: #372156.
  * Complete for apt-get autoremove. Debian: #433542, #443816, #445332.
  * Update completion for mplayer (mka/flac). Debian: #340452.
  * Add ping6/fping6 completion. Debian: #413170.
  * Handle whitespace in paths for mount/umount completion. Debian: #367957.
  * apt-get: Support --auto-remove. Ubuntu: #60666.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Feb 2008 23:11:32 +0100

bash-completion (20060301-0ubuntu1) hardy; urgency=low

  * Initial release, split out from the bash package.
    The software currently is unsupported upstream.
  * Don't try to set a readonly variable. Ubuntu: #149527.
  * Support purge in apt-get auto completion (Mathias Gug). Ubuntu: #151677.
  * evince: Autocomplete on cbr/cbz/djvu files. Ubuntu: #156200, #175220.
    Debian: #400678.
  * kdvi: complete .*\.dvi\.(gz|bz2). Ubuntu: #128234.
  * kpdf: Complete postscript files. Ubuntu: #162319.
  * Make completion working in the middle of a word (Adam Simpkins).
    Ubuntu: #139666.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2008 16:46:34 +0100
